<!DOCTYPE html>
<html lang="en">
<style>
/*style for colors*/
/*top menu*/
/*change name of classes*/
.to-meg-secondary-300 {
  --tw-gradient-to: #CB0000;/*#9148ee*/
}
.from-meg-primary {
  --tw-gradient-from: #CB0000;/*cc2083*/
  --tw-gradient-stops: var(--tw-gradient-from),var(--tw-gradient-to,rgb(204 32 131/0));
}

/*body menu*/
.to-meg-secondary {
  /*--tw-gradient-to: #6713d2;*/
  --tw-gradient-to: black;
}
.from-meg-primary-400 {
  --tw-gradient-from: black;/*#df3597*/
  --tw-gradient-stops: var(--tw-gradient-from),var(--tw-gradient-to,rgb(223 53 151/0));
}
</style>
<head>
  <link rel="apple-touch-icon" sizes="180x180" href="/assets.<?= $theme ?>/images/favicon/apple-touch-icon.png">
  <link rel="icon" type="image/png" sizes="32x32" href="/assets.<?= $theme ?>/images/favicon//favicon-32x32.png">
  <link rel="icon" type="image/png" sizes="16x16" href="/assets.<?= $theme ?>/images/favicon//favicon-16x16.png">
  <link rel="manifest" href="/assets.<?= $theme ?>/images/favicon//site.webmanifest">
  <meta name="msapplication-TileColor" content="#da532c">
  <meta name="theme-color" content="#ffffff">
  <link rel="manifest" href="/images/favicon/site.webmanifest">
  <title><?= $title?>  </title>
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" lang="en" content="<?= $description ?>" />
  <meta name="keywords" content="<?= $keywords ?> " />
  <meta name="Rating" content="mature">
  <meta name="RATING" content="RTA-5042-1996-1400-1577-RTA"/>
  <meta name="robots" content="index, follow" />
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta charset="utf-8">
  <meta property="og:type" content="website" />
  <meta property="og:title" content=" <?= $title?>" />
  <meta property="og:description" content="<?= $description ?>" />
    <? if (!empty($previewImg)): ?><meta property="og:image" content="<?= $previewImg ?>" /><? endif; ?>
    <? if (!empty($previewImgWidth)): ?><meta property="og:image:width" content="<?= $previewImgWidth ?>" /><? endif; ?>
    <? if (!empty($previewImgHeight)): ?><meta property="og:image:height" content="<?= $previewImgHeight ?>" /><? endif; ?>
  <meta property="og:url" content="<?= $canonical ?>" />
  <meta name="twitter:card" content="summary" />
  <meta name="twitter:site" content="<?=$socialname ?>" />
  <meta name="twitter:title" content="<?= $title?>" />
  <meta name="twitter:image" content="<?= $link ?> <?//= $socialimage ?>" />
  <meta name="msapplication-TileColor" content="#ffffff">
  <meta name="theme-color" content="#ffffff">
  <link rel="canonical"  href="<?= $canonical ?>" />
	<meta name="apple-mobile-web-app-capable" content="yes">
	<link rel="stylesheet" href="/assets.<?= $theme ?>/css/app.minify.css">
	<link rel="stylesheet" href="/assets.<?= $theme ?>/font/inter.minify.css">
	<link rel="stylesheet" href="/assets.<?= $theme ?>/font/fa.minify.css">
  <script src="/assets.<?= $theme ?>/js/custom.js" defer=""></script>
  <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
  <link rel="stylesheet" href="/assets.<?= $theme ?>/css/pop.css" />
  <script src="/assets.<?= $theme ?>/js/isotope.js"></script>
  <script src="/assets.<?= $theme ?>/js/pop.js"></script>



</head>
<body class="bg-gradient-to-br from-meg-primary-400 to-meg-secondary bg-fixed flex flex-col subpixel-antialiased"  id="avosbody"  style="" cz-shortcut-listen="true">

  	<!--fragment#8c6b27706#head-->
		<header class="fixed inset-0 w-full h-16 z-1000 px-3 gap-2 flex shadow justify-between items-center bg-gradient-to-r from-meg-primary to-meg-secondary-300" id="avosheader" fragment="be4dfd73f3">
    	<div class="md:w-64 flex justify-center md:justify-start">
      	<button   class="flex items-center rounded cursor-pointer focus:ring-1 focus:ring-meg-primary-100 lg:hidden mr-4"  onclick="myFunction()">
					<svg fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg" class="text-white h-6 w-6 transform hover:scale-105">
						<path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h16M4 18h16"></path>
					</svg>
				</button>
				<a href="/" class="block max-h-12 w-40 lg:ml-5"><img alt="<?= $title?>" src="/assets.<?= $theme ?>/logo/750utout.webp" class="w-40"  width="120px" height="50px"></a>
			</div>
			<div class="items-center justify-center  lg:flex w-full"><!--add hidden to class-->
				<div class="hidden xl:flex mr-4 gap-2">
				<? include 'topmenu.php'?>
</div>
              	<div class="w-full max-w-sm relative" id="modelinfo">
                		<div class="relative">
                      	<form autocomplete="off" class="mobileSearch" action="/search/"  method="GET" style="margin-top:15px">
                          <input  type="text" name="kw"  placeholder="Search for videos, pictures, cams or other users..." class="bg-black bg-opacity-20 h-8 pl-10 text-sm text-white placeholder-gray-200 border-none rounded-lg w-full hover:ring-1 hover:ring-white/20 focus:bg-opacity-30 focus:ring-0 ">
                        </form>
                			<div class="absolute left-0 top-0 ml-1 text-white">
                				<svg fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg" class="w-5 h-5 m-1.5">
                					<path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M21 21l-6-6m2-5a7 7 0 11-14 0 7 7 0 0114 0z"></path>
                				</svg>
                			</div>
                		</div>
                		<!---->
                	</div>
                  <script>
                function full() {
                 var element = document.getElementById("openS");
                 element.classList.toggle("nope");
                 element.classList.toggle("hidden");
                }
                function small() {
                   var element = document.getElementById("openS");
                   element.classList.toggle("hidden");
                    element.classList.toggle("nope");
                }
                </script>
                  <header id="openS" class="hidden fixed inset-0 w-full h-16 z-1000 px-3 gap-2 flex shadow justify-between items-center bg-gradient-to-r from-meg-primary to-meg-secondary-300">
                  	<div class="w-full flex justify-center items-center gap-2">

                  		<div class="w-full max-w-sm relative">
                  			<div class="relative">
                          <form autocomplete="off" class="mobileSearch" action="/search/"  method="GET" style="margin-top:15px">

                  				<input type="text" placeholder="Search for videos, pictures, cams or other users..." class=" bg-black bg-opacity-20 h-8 pl-10 text-sm text-white placeholder-gray-200 border-none rounded-lg   w-full hover:ring-1 hover:ring-white/20   focus:bg-opacity-30 focus:ring-0 ">
</form>

                        	<div class="absolute left-0 top-0 ml-1 text-white">
                  					<svg fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg" class="w-5 h-5 m-1.5">
                  						<path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M21 21l-6-6m2-5a7 7 0 11-14 0 7 7 0 0114 0z"></path>
                  					</svg>
                  				</div>
                  			</div>
                  			<!---->
                  		</div>
                  		<button  onclick="small()" class="rounded-full hover:ring-2 hover:ring-meg-primary-100/50 focus:ring focus:ring-meg-primary-100/50">
                  			<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32" class="h-8 w-8" fill="none">
                  				<rect width="32" height="32" rx="16" fill="white"></rect>
                  				<path fill-rule="evenodd" clip-rule="evenodd" d="M10.2928 10.2931C10.4803 10.1056 10.7346 10.0003 10.9998 10.0003C11.265 10.0003 11.5193 10.1056 11.7068 10.2931L15.9998 14.5861L20.2928 10.2931C20.385 10.1976 20.4954 10.1214 20.6174 10.069C20.7394 10.0166 20.8706 9.98898 21.0034 9.98783C21.1362 9.98668 21.2678 10.012 21.3907 10.0623C21.5136 10.1125 21.6253 10.1868 21.7192 10.2807C21.8131 10.3746 21.8873 10.4862 21.9376 10.6091C21.9879 10.732 22.0132 10.8637 22.012 10.9965C22.0109 11.1293 21.9833 11.2605 21.9309 11.3825C21.8785 11.5045 21.8023 11.6148 21.7068 11.7071L17.4138 16.0001L21.7068 20.2931C21.8889 20.4817 21.9897 20.7343 21.9875 20.9965C21.9852 21.2587 21.88 21.5095 21.6946 21.6949C21.5092 21.8803 21.2584 21.9855 20.9962 21.9878C20.734 21.99 20.4814 21.8892 20.2928 21.7071L15.9998 17.4141L11.7068 21.7071C11.5182 21.8892 11.2656 21.99 11.0034 21.9878C10.7412 21.9855 10.4904 21.8803 10.305 21.6949C10.1196 21.5095 10.0144 21.2587 10.0121 20.9965C10.0098 20.7343 10.1106 20.4817 10.2928 20.2931L14.5858 16.0001L10.2928 11.7071C10.1053 11.5196 10 11.2652 10 11.0001C10 10.7349 10.1053 10.4806 10.2928 10.2931V10.2931Z" fill="url(#paint0_linear_2244_22115)"></path>
                  				<defs>
                  					<linearGradient id="paint0_linear_2244_22115" x1="10.2586" y1="11.6284" x2="22.3169" y2="15.6917" gradientUnits="userSpaceOnUse">
                  						<stop stop-color="#CC208E"></stop>
                  						<stop offset="1" stop-color="#6713D2"></stop>
                  					</linearGradient>
                  				</defs>
                  			</svg>
                  		</button>
                  	</div>
                  </header>
                </div>
        </div>
			</div>

      <div class="flex gap-3 items-center justify-end md:w-[45rem] lg:w-[33rem]">
<button  onclick="full()" class="rounded-full lg:hidden hover:ring-2 hover:ring-meg-primary-100/50 focus:ring focus:ring-meg-primary-100/50">
  <svg viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg" class="h-8 w-8">
    <rect width="32" height="32" rx="16" fill="white"></rect>
    <path d="M22.625 22.625L17.875 17.875M19.4583 13.9167C19.4583 14.6444 19.315 15.365 19.0365 16.0374C18.758 16.7097 18.3498 17.3206 17.8352 17.8352C17.3206 18.3498 16.7097 18.758 16.0374 19.0365C15.365 19.315 14.6444 19.4583 13.9167 19.4583C13.1889 19.4583 12.4683 19.315 11.796 19.0365C11.1236 18.758 10.5127 18.3498 9.99812 17.8352C9.48353 17.3206 9.07533 16.7097 8.79683 16.0374C8.51834 15.365 8.375 14.6444 8.375 13.9167C8.375 12.4469 8.95885 11.0374 9.99812 9.99812C11.0374 8.95885 12.4469 8.375 13.9167 8.375C15.3864 8.375 16.796 8.95885 17.8352 9.99812C18.8745 11.0374 19.4583 12.4469 19.4583 13.9167Z" stroke="url(#paint0_linear_2234_10814)" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
    </path> <defs><linearGradient id="paint0_linear_2234_10814" x1="8.68177" y1="10.3232" x2="22.9896" y2="15.1397" gradientUnits="userSpaceOnUse"><stop stop-color="#CC208E"></stop> <stop offset="1" stop-color="#6713D2"></stop></linearGradient></defs>
  </svg>
</button>
 	<div class="hidden md:block">

    <button  class="<?if($url['name'] == 'webcamsProfile') :?>hidden<?endif;?> w-full flex items-center justify-around hover:ring-2 hover:ring-meg-primary-100/50 focus:ring focus:ring-meg-primary-100/50 rounded-xl  shadow-md ">
           <span class="w-1/2 md:w-auto flex items-center justify-between bg-white text-black/90 px-2 py-1.5 rounded-l-xl">
             <span class="mx-auto inline-flex items-center justify-center gap-1.5"><strong aria-describedby="Mq2e" tabindex="-1" class="text-sm flex-grow text-meg-primary flex items-center justify-center !whitespace-nowrap font-sans text-base font-semibold text-white" style="overflow-wrap: break-word;">
               Online
               </strong>
                </strong></span></span> <span class="w-1/2 md:w-auto flex items-center justify-center gap-1 p-2 bg-pink-500 text-white rounded-r-xl">
                   <span class="text-xs whitespace-nowrap font-bold">
          <?= $matches;?>
             </span></span>
 		</button>


 	</div>




  <? if(0): ?>

    <?php include 'login.php'?>
  <? endif; ?>

 </div>



 

		</header>







<?php include'sidebar.php';?>








	<?= $page_contents ?>








	<div id="unified">

	<!-- keep this format-->

	<footer class=" flex-shrink-0 lg:h-10 p-2 pb-16 lg:pb-2 flex flex-col md:flex-row justify-center items-center text-sm bg-gradient-to-r from-transparent to-white/20 lg:ml-64 transition-all duration-300">
	<div class="order-2 md:order-1 flex flex-wrap justify-center gap-1 xl:gap-2">
	<a href="2257" class="font-normal text-gray-300 hover:text-gray-100 focus:text-gray-100">
	18 U.S.C. 2257 Compliance Statement
	</a>
	<span class="text-gray-300">-</span>
	 <a href="help" class="font-normal text-gray-300 hover:text-gray-100 focus:text-gray-100">
	Help
	</a>
	 <span class="text-gray-300">-</span>
	<a href="terms-conditions" class="font-normal text-gray-300 hover:text-gray-100 focus:text-gray-100">
	Terms and Conditions
	</a>
	<span class="text-gray-300">-</span>
	<a href="privacy-policy" class="font-normal text-gray-300 hover:text-gray-100 focus:text-gray-100">
	Privacy Policy
	</a>
	<span class="text-gray-300">-</span>
	<a href="privacy-policy" class="font-normal text-gray-300 hover:text-gray-100 focus:text-gray-100">
	Support
	</a>
  <span class="text-gray-300">-</span>
	<a href="https://awcams.com" class="font-normal text-gray-300 hover:text-gray-100 focus:text-gray-100">
	AwCams
	</a>
  <span class="text-gray-300">-</span>
	<a href="https://wankiton.com" class="font-normal text-gray-300 hover:text-gray-100 focus:text-gray-100">
	Wank
	</a>
	</div>

	  </footer>

	</div>
<script>
function embedFloat() {
 var element = document.getElementById("panel");
 element.classList.toggle("hidden");
 element.classList.toggle("nop");
}
</script>

<? if (!empty($floatingChatModel) && $url['name'] != 'webcamsProfile'): ?>
<a  onclick="embedFloat()" id="panel" class="relative flex flex-col z-10 rounded-lg overflow-hidden shadow sm:fixed sm:bottom-0 sm:right-0 sm:mr-20 mt-2 mb-4 sm:mb-16 md:mb-8 w-full max-w-xxs  mx-auto">
	<button   aria-label="Close" type="button" class="z-20 absolute top-16 h-6 w-6 center md:top-2 right-2">
		<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="20px" height="32px" viewBox="0 0 20 32" version="1.1" class="text-meg-danger-400
        fill-gray-900 hover:fill-gray-700 transitions-color cursor-pointer transition-transform ease-in-out duration-300 hover:-rotate-45 ">
			<g>
				<path fill="currentColor" d="M 19.507812 23.4375 C 20.09375 24.023438 20.09375 24.972656 19.507812 25.558594 C 18.921875 26.144531 17.96875 26.144531 17.386719 25.558594 L 10 18.117188 L 2.5625 25.554688 C 1.976562 26.140625 1.027344 26.140625 0.441406 25.554688 C -0.144531 24.96875 -0.144531 24.019531 0.441406 23.433594 L 7.882812 16 L 0.4375 8.507812 C -0.144531 7.921875 -0.144531 6.96875 0.4375 6.386719 C 1.023438 5.800781 1.976562 5.800781 2.558594 6.386719 L 10 13.882812 L 17.4375 6.445312 C 18.023438 5.859375 18.972656 5.859375 19.558594 6.445312 C 20.144531 7.03125 20.144531 7.980469 19.558594 8.566406 L 12.117188 16 Z M 19.507812 23.4375 "></path>
			</g>
		</svg>
	</button>
<div class=" bg-meg-secondary/50">
		<?= encodeChatEmbed($floatingChatModel) ?>
  </div>
	<button  onclick="/<?= $floatingChatModel['site'] ?>/<?= $floatingChatModel['nickname'] ?>" class="w-full rounded-none order-first md:order-last min-w-medium text-base px-5 py-2.5 bg-green-600 hover:bg-meg-warning focus:ring focus:ring-meg-warning-300/50 transition-colors transition-opacity font-semibold outline-none rounded-lg text-center outline-none">
		<p aria-describedby="CZx4" tabindex="-1" class="font-sans  text-white" style="overflow-wrap: break-word;">
      <span class="w-full flex items-center justify-center text-lg uppercase tracking-wider">
        <svg viewBox="0 0 20 21" fill="none" xmlns="http://www.w3.org/2000/svg" class="mr-2 h-8 w-8"><path fill-rule="evenodd" clip-rule="evenodd" d="M10 18.5C12.1217 18.5 14.1566 17.6571 15.6569 16.1569C17.1571 14.6566 18 12.6217 18 10.5C18 8.37827 17.1571 6.34344 15.6569 4.84315C14.1566 3.34285 12.1217 2.5 10 2.5C7.87827 2.5 5.84344 3.34285 4.34315 4.84315C2.84285 6.34344 2 8.37827 2 10.5C2 12.6217 2.84285 14.6566 4.34315 16.1569C5.84344 17.6571 7.87827 18.5 10 18.5ZM9.555 7.668C9.4044 7.56752 9.22935 7.50981 9.04852 7.50103C8.86769 7.49224 8.68786 7.53272 8.52823 7.61813C8.3686 7.70354 8.23516 7.83068 8.14213 7.98599C8.04909 8.1413 7.99997 8.31896 8 8.5V12.5C7.99997 12.681 8.04909 12.8587 8.14213 13.014C8.23516 13.1693 8.3686 13.2965 8.52823 13.3819C8.68786 13.4673 8.86769 13.5078 9.04852 13.499C9.22935 13.4902 9.4044 13.4325 9.555 13.332L12.555 11.332C12.692 11.2407 12.8043 11.117 12.8819 10.9718C12.9596 10.8267 13.0002 10.6646 13.0002 10.5C13.0002 10.3354 12.9596 10.1733 12.8819 10.0282C12.8043 9.88304 12.692 9.75932 12.555 9.668L9.555 7.668Z" fill="currentColor"></path>
        </svg>
        <span>Join The Show</span></span>
		</p>
	</button>
</a>
<? endif; ?>

<script>
$(function() {
  modelsGrid.init("/live-show/find/", "/embed/", ".model_grid");
});
</script>

<script>
$(function() {
    //resizerSetup('floatingChatEmbed');
    resizerSetup('customChatEmbed');
    resizerSetup('customFloatingChatEmbed');
    resizerSetup('chatembed');
    resizeHeight('sidebar', 'sidebar-anchor');
    modelsGrid.init("/custom/search/", "/custom/", ".preview", '#customFloatingChatEmbed');
    page.init("/custom/search/:page", '#webcams', '#loadmore', 1, 1, 0);

});
</script>


<script type="text/javascript">
function create_data_cookie(e,a,i){if(i){var o=new Date;o.setTime(o.getTime()+24*i*60*60*1e3);var s="; expires="+o.toGMTString()}else s="";document.cookie=e+"="+a+s+"; path=/"}
function read_data_cookie(e){for(var a=e+"=",i=decodeURIComponent(document.cookie).split(";"),o=0;o<i.length;o++){for(var s=i[o];" "===s.charAt(0);)s=s.substring(1);if(0===s.indexOf(a))return s.substring(a.length,s.length)}return""};
</script>

	</body>
</html>
