<div class="content">
<div class="top-placement">
<div class="placement-wrapper"></div>
</div>
<div class="page-content">


Privacy policy
<p>Your privacy is very important to us.&nbsp;&nbsp;</p>



<p>We have&nbsp;created this privacy policy in order to
demonstrate our commitment to your privacy (the "Policy").&nbsp;&nbsp;</p>



<p>The Policy explains what information we collect about you
and what we do with it. We want you to fully understand our privacy practices
and therefore, in addition to this Policy, we created a Data Protection Officer
(DPO) whom you can contact with any questions or concerns (see below).&nbsp;We
reserve the right to modify the Policy at any time. We encourage you to check
this page periodically for any changes.&nbsp;The Policy is incorporated into,
and subject to, the terms of our Terms of Use available at&nbsp;<a href="https://www.camsdirty.com/page/privacy">https://camsdirty.com/terms-conditions</a>
.&nbsp;&nbsp;</p>



<p>By using or navigating our website, located at  <a href="https://camsdirty.com/">https://camsdirty.com</a> (the "Website"), you acknowledge that you have read, understood and agree to be bound by the Policy or any modified Policy as posted. If you do not agree to these terms, please do not use or visit the Website.</p>



<p>What information do we collect?</p>



<p>We do not collect personally identifiable information except
where such information is specifically provided by you, including your name,
email address and telephone number. We may also collect credit card information
from you. We generally collect this personal information on our registration
and order forms when you sign up to receive products or services from the
Website and to access our member's area. With the exception of payment
information, any personal information or video content that you voluntarily
post or disclose online becomes publicly available and can be collected and
used by others.&nbsp;</p>



<p>We collect aggregate technical information (such as IP
addresses, screen resolution, browser language, viewer device information,
etc.) and anonymous demographic information (such as your postal or zip code,
the website that you came from, the date and time of your visit, etc.) during
your usage of the Website. The information we collect is relevant and limited
to what is necessary in relation to the purposes for which it is processed.</p>



<p>When you visit the Website, we may send one or more cookies
to your computer that uniquely identifies your browser session. The Website uses
both session cookies and persistent cookies. If you remove your persistent
cookie, some of the Website's features may not function properly.</p>



<p>What do we do with the information we collect?</p>



<p>We use the personal information you provide us, as well as
other demographic or profile information, to provide our Services to you, to
fulfill your orders and requests, to verify your age, and to contact you, if
necessary.&nbsp;We may also use it to assist with the prevention of fraudulent
transactions.</p>



<p>Your personal information is never shared with advertisers
or market researchers.</p>



<p>Your chosen username (not your email address) is displayed
to other Users alongside the content you upload, including videos, comments,
and messages. Other Users can contact you through private messages.</p>



<p>Any videos that you submit to on the Website may be
redistributed through the Internet and other media channels, and may be viewed
by the general public. We may use your email address without further consent
for non-marketing or administrative purposes, such as notifying you of key
Website changes or for customer service purposes.</p>



<p>Whenever possible, we use non-identifiable information (i.e.
IP addresses and anonymous demographic information) rather than personal
information.&nbsp;Non-identifiable information is used to tailor your
experiences on the Website by showing content we think you might be interested
in and displaying it according to your preferences. We may use aggregate data
to analyze user-behavior and characteristics in order to measure interest in
and use of the various areas of the Website.&nbsp;&nbsp;We also use the
information collected to evaluate and improve our services and analyze traffic
to the Website.</p>



<p>Personal information collected on the Website is stored and
processed in multiple jurisdictions throughout the world, and by using the
Website,&nbsp;you consent to any such transfer of information outside of your
country.&nbsp;&nbsp;&nbsp;</p>



<p>Do we share the information we collect with third parties?</p>



<p>We may use statistical analysis of aggregate information to
inform advertisers of aggregate user demographics and behavior, as well as the
number of users that have been exposed to or clicked on their advertising
banners.&nbsp;&nbsp;We will provide only aggregate data from these analyses to
third parties.</p>



<p>We may share information we collect with third party service
providers to manage certain aspects of the services we provide, such as
maintaining our servers and processing or fulfilling orders for products and
services you purchase through the Website.&nbsp;&nbsp;We ensure that the third
party service providers that we share your information with have privacy
policies in place substantially similar to our own.</p>



<p>We may also disclose your information in special cases if
required to do so by law, court order or other governmental authority or when
we believe in good faith that disclosing this information is otherwise
necessary or advisable, including, for instance, to identify, contact, or bring
legal action against someone who may be causing injury to or interfering with
the rights or property of the Website, another user or anyone else that could
be harmed by such activities (i.e. identify theft or fraud).&nbsp;</p>



<p>How long do we retain information?</p>



<p>We retain personal information for such period of time as we
feel is necessary to ensure that you have a reasonable opportunity to access
the information and for no longer than necessary for the purposes for which
your personal information is processed.&nbsp;</p>



<p>If you no longer consent to us retaining your personal
information, you can contact us via email and request that it be removed
by using the "Contact Us" button. Alternatively, you may also request a
copy of your personal information at any time.</p>



<p>Do we save any correspondence that you send to us?</p>



<p>Yes. If you send us correspondence, including emails and
faxes, we may retain such information in the records of your
account.&nbsp;&nbsp;We may also retain customer service correspondence and
other correspondence from us to you.&nbsp;&nbsp;We may retain these records in
order to measure and improve our customer service, and investigate potential
fraud and violation of our Terms of Use.&nbsp;We may, over time, delete these
records if permitted by law.</p>



<p>Is the information submitted in public forums confidential?</p>



<p>No. The Website may offer chat rooms, forums, message boards
and/or news groups to our users. IT IS IMPORTANT TO REMEMBER THAT ANY
INFORMATION DISCLOSED IN THESE AREAS BECOMES PUBLIC
INFORMATION.&nbsp;Accordingly, you should exercise extreme caution when
deciding to disclose your personal information and you do so at your own risk.</p>



<p>Is the Website secure?</p>



<p>Unfortunately, the transmission of information via the
Internet is not completely secure. We use commercially reasonable and
appropriate physical, managerial and technical safeguards to preserve the
integrity, security and confidentiality of your personal
information,&nbsp;including protection against unauthorized or unlawful
processing and against accidental loss, destruction, or damage. In the case of
a personal data breach, we will notify you without undue delay after becoming
aware of same.</p>



<p>We cannot, however, ensure or warrant the security of any
information you transmit to us and you do so at your own risk.</p>



<p>Does this Policy apply to linked websites other than the
Website?</p>



<p>No. The Website contains links to other Internet
websites.&nbsp;By clicking on a third party advertising banner or other link,
you will be redirected off the Website and to such third party
website.&nbsp;Furthermore, we may permit third parties to offer subscription
and/or registration-based services through the Website.&nbsp;We are not responsible
for the privacy policies of such websites. You should make sure that you read
and understand the privacy policies of the third party websites and direct any
concerns regarding external links to the third party website administrator or
webmaster prior to providing any personally identifiable information.</p>



<p>Can we update/correct your information?</p>



<p>Yes.&nbsp;&nbsp;You may correct or update your personal
information by writing to our Data Protection Officer by using the "Contact Us" button.</p>

</div>
</div>