<!DOCTYPE html>
<html lang="en">
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
<link href="https://fonts.googleapis.com/css2?family=Baloo+Da+2&display=swap" rel="stylesheet">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<head>
<title><?= $title ?></title>
<? if (!empty($description)): ?><meta name="description" content="<?= $description ?>"><? endif; ?>
<? if (!empty($keywords)): ?><meta name="keywords" content="<?= $keywords ?>"><? endif ?>
<? if (!empty($previewImg)): ?><meta property="og:image" content="<?= $previewImg ?>" /><? endif; ?>
<? if (!empty($previewImgWidth)): ?><meta property="og:image:width" content="<?= $previewImgWidth ?>" /><? endif; ?>
<? if (!empty($previewImgHeight)): ?><meta property="og:image:height" content="<?= $previewImgHeight ?>" /><? endif; ?>
<link href="https://fonts.googleapis.com/css2?family=Baloo+Da+2&display=swap" rel="stylesheet">
<!-- Core CSS -->
<link href="/assets/css/style2.css" rel="stylesheet" type="text/css" />
<!-- model info css-->
<link href="/assets/css/model-grid.css" rel="stylesheet" type="text/css" />
<!-- Core JavaScript -->
<script src="/assets/js/all.js" type="text/javascript"></script>
<script src="/assets/js/resizer.js" type="text/javascript"></script>
<script>
// chatembed resize

$(function() {
resizerSetup('chatembed');
//resizeSidebar();
});

/*
// set height of div to full page height on page load
$(document).ready(function() {
$('#sidebar').height($(document).height());
});

// set height of div to full page height on browser resize
$(window).bind('resize', function() {
$('#sidebar').height($(document).height());
});
*/
</script>

<!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-218074564-1"></script>
<script>
window.dataLayer = window.dataLayer || [];
function gtag(){dataLayer.push(arguments);}
gtag('js', new Date());

gtag('config', 'UA-218074564-1');
</script>
</head>

<body cz-shortcut-listen="true" style="">

<header>
<div class="primary-header">


<div class="ph-col col-logo">
<div class="logo-wrapper">
<a href="javascript:void(0)" class="mobile-menu">
<svg height="32px" id="Layer_1" style="enable-background:new 0 0 32 32;" version="1.1" viewBox="0 0 32 32" width="32px" xml:space="preserve" xmlns="https://www.w3.org/2000/svg" xmlns:xlink="https://www.w3.org/1999/xlink"><path d="M4,10h24c1.104,0,2-0.896,2-2s-0.896-2-2-2H4C2.896,6,2,6.896,2,8S2.896,10,4,10z M28,14H4c-1.104,0-2,0.896-2,2  s0.896,2,2,2h24c1.104,0,2-0.896,2-2S29.104,14,28,14z M28,22H4c-1.104,0-2,0.896-2,2s0.896,2,2,2h24c1.104,0,2-0.896,2-2  S29.104,22,28,22z"/></svg>
</a>
<div class="logo">
<a href="/">
<img id="logo-icon" src="/assets/images/TEENPVT_LOGO.png" alt="Logo" />
</a>
</div>
</div>
</div>


<div class="ph-col col-search">
<div class="search-group">
<form id="search-box-top" action="/cams/" target="_self">
<input id="search_models_top" autocomplete="off" type="text" class="search-txt" name="q" placeholder="Search by keyword">
<div id="container-search"></div>
<button class="search-submit">
<svg enable-background="new 0 0 50 50" height="50px" id="Layer_1" version="1.1" viewBox="0 0 50 50" width="50px" xml:space="preserve" xmlns="https://www.w3.org/2000/svg" xmlns:xlink="https://www.w3.org/1999/xlink"><path d="M38.084,7.398c-8.531-8.53-22.36-8.53-30.89,0c-8.53,8.53-8.53,22.36,0,30.89  c7.331,7.33,18.566,8.341,26.998,3.074l8.132,8.13c1.757,1.756,4.604,1.756,6.359,0c1.757-1.757,1.757-4.603,0-6.357l-8.002-8  C46.486,26.63,45.629,14.943,38.084,7.398z M32.632,32.836c-5.518,5.52-14.467,5.52-19.986,0c-5.519-5.519-5.519-14.468,0-19.988  c5.519-5.518,14.468-5.518,19.986,0C38.154,18.368,38.154,27.317,32.632,32.836z"/></svg>
</button>
</form>
</div>
</div>


<div class="ph-col col-action">
<button type="button" class="btn btn-search-mobile">
<svg enable-background="new 0 0 50 50" height="50px" id="Layer_1" version="1.1" viewBox="0 0 50 50" width="50px" xml:space="preserve" xmlns="https://www.w3.org/2000/svg" xmlns:xlink="https://www.w3.org/1999/xlink"><path d="M38.084,7.398c-8.531-8.53-22.36-8.53-30.89,0c-8.53,8.53-8.53,22.36,0,30.89  c7.331,7.33,18.566,8.341,26.998,3.074l8.132,8.13c1.757,1.756,4.604,1.756,6.359,0c1.757-1.757,1.757-4.603,0-6.357l-8.002-8  C46.486,26.63,45.629,14.943,38.084,7.398z M32.632,32.836c-5.518,5.52-14.467,5.52-19.986,0c-5.519-5.519-5.519-14.468,0-19.988  c5.519-5.518,14.468-5.518,19.986,0C38.154,18.368,38.154,27.317,32.632,32.836z"/></svg>
</button>
<a rel="nofollow" href="" target="_blank" class="btn btn-account btn-theme text-uppercase">Create Free Account</a>
</div>

</div><!-- close primary-header -->


<div class="menu-header">

<ul class="main-nav no-bullet">

<li class="has-items ">
<a href="#">Sites</a>
<ul>
<li><a href="/chaturbate-teencams/">Chaturbate</a></li>
<li><a href="/bongacams-teencams/">Bongacams</a></li>
<li><a href="/stripchat-teencams/">Stripchat</a></li>
</ul>
</li>

<li><a href="/latest-videos/">Videos</a></li>
<li><a href="/girls/">Girls</a></li>
<li><a href="/guys/">Guys</a></li>
<li><a href="/trans/">Trans</a></li>
<li><a href="/couples/">Couples</a></li>
<li><a href="/topteen/">Top teen</a></li>
<li><a href="/freechat/">Free chat</a></li>

</ul>
</div><!-- close menu-header -->

</header>

<? //include('sidebar.php'); ?>
<?= $page_contents ?>

<footer>
<div class="container">
<div class="footer-wrapper">
<div class="footer-column"><a href="/page/terms">Terms & Conditions</a></div>
<div class="footer-column"><a href="/page/privacy">Privacy Policy</a></div>
<div class="footer-column"><a href="/sitemap.xml">Sitemap</a></div>
<div class="footer-column"><a href="https://www.rtalabel.org"/target="_new">RTA</a></div>
<div class="footer-column"><a href="/page/dmca">DMCA</a></div>
<div class="footer-column"><a href="/page/2257">2257</a></div>
<div class="footer-column"><a href="mailto:foo@bar.com">Contact Us</a></div>
</div>
</div>
</footer>

<script type='text/javascript'>
/*
function rcam(){
var width1 = $('.camblock_cb').width();
var width2 = $('#cb_iframe').width();
var scale = width1 / width2;
$('.caminner').css('transform', 'scale('+scale+')');
var cr = 800/491;
var h1 = $('.camblock_cb').width() / cr;
$('.camblock_cb').height(h1);
}
rcam();
$(window).on('resize', function(){
rcam();
});
*/
</script>

<script type="text/javascript">
function create_data_cookie(e,a,i){if(i){var o=new Date;o.setTime(o.getTime()+24*i*60*60*1e3);var s="; expires="+o.toGMTString()}else s="";document.cookie=e+"="+a+s+"; path=/"}
function read_data_cookie(e){for(var a=e+"=",i=decodeURIComponent(document.cookie).split(";"),o=0;o<i.length;o++){for(var s=i[o];" "===s.charAt(0);)s=s.substring(1);if(0===s.indexOf(a))return s.substring(a.length,s.length)}return""};
</script>

<script src="/assets/js/app.js" type="text/javascript"></script>
<script type="text/javascript"> lazyload(); </script>
</body>
</html>
