.menu-header .main-nav {
    padding: 0;
    margin: 0;
}

.menu-header .main-nav li {
    padding: 0;
    margin: 0;
    margin-top: -5px;
}

.menu-header .main-nav li a {
    border-bottom: 0 !important;
    margin: 0;
    padding: 0;
    padding-left: 10px;
}

.menu-header .main-nav li ul {
    margin-top: -15px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.menu-header .main-nav li.active a,.menu-header .main-nav li:active a,.menu-header .main-nav li:hover a {
}

.primary-header {
<? if (!empty($headerBgImage)): ?>
    background: <?= $headerBgColor ?> url(<?= $headerBgImage ?>) repeat-x !important;
<? else: ?>
    background-color: <?= $headerBgColor ?>;
<? endif; ?>
}

/* 
 * header top
 */

.menu-header-top .main-nav li a {
    font-size: 10pt;
    text-shadow: 1px 1px 0 #000;
}

.menu-header-top {
    border-bottom: 3px solid #f47321;
    height: 40px;
}

.menu-header .main-nav li a {
    padding-right: 10px;
}

.menu-header-top li {
    height: 40px;
    padding-right: 10px;
}

.menu-header-top a:link, .menu-header-top a:visited {
    color: white !important;
}

.menu-header-top a:hover {
    text-decoration: underline;
}

/*
 * header tabs
 */

.menu-header-tabs {
    background: #fff url(/assets.theme3/images/header-bg2-cb.gif) repeat-x !important;
    border-bottom: 1px solid #8bb3da;
    padding-top: 10px;
    padding-bottom: 0px;
}

.menu-header-tabs, .menu-header-tabs a:link, .menu-header-tabs a:visited, .menu-header-tags, .menu-header-tags a:link, .menu-header-tags a:visited {
    background-color: <?= $defaultBgColor ?> !important;
    color: <?= $defaultTextColor ?> !important;
}

.menu-header-tabs li {
    padding-right: 2px !important;
    padding-top: 5px !important;
}

.menu-header-tabs li a:link, .menu-header-tabs li a:visited {
    display: block;
    border: 1px solid #444;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border-color: #8bb3da;
    color: #5e81a4 !important;
    padding-top: 5px !important;
    padding-bottom: 5px !important;
    background-color: #dde9f5 !important;
    text-transform: uppercase;
    font-size: 10pt;
}

.menu-header-tabs .selected a:link, .menu-header-tabs .selected a:visited {
    background-color: white !important;
    position:relative;
    top:1px;
}

.menu-header-tabs li a:hover {
    background-color: white !important;
}

.menu-header-tabs .nickname a:link, .menu-header-tabs .nickname a:visited {
    color: #f47321 !important;
    text-transform: none;
}

/*
 * header tags
 */

.menu-header-tags {
    padding-top: 10px;
    padding-bottom: 10px;
}

.menu-header-tags li {
    background-color: <?= $defaultBgColor ?> !important;
}

.menu-header-tags a:link, .menu-header-tags a:visited {
}

.menu-header-tags .main-nav li a {
    color: #4e8aaa !important;
    font-size: 10pt;
    font-weight: lighter;
    padding:0;
    padding-right:10px;
}

/*
 * grid cells
 */

.preview {
    border-radius: 5px;
    border: 1px solid #444;
}

.model-gridcell {
    height:180px;
}

.info-wrapper {
    background-color: #eee;
    font-size:8pt;
    color: #222;
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 40%;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    border: 1px solid #444;
    border-top: none;
}

.info-wrapper .name {
    position: absolute;
    top: 2pt;
    left: 6px;
    font-size: 10pt;
    font-weight: bold;
    color: #0a5a83;
}

.info-wrapper .attr {
    position: absolute;
    top: 4pt;
    right: 8px;
}

.info-wrapper .sep {
    padding-top: 16px;
    padding-left: 10px;
    padding-right: 10px;
}

.info-wrapper .sub {
    position: absolute;
    left: 6pt;
    top: 20pt;
}

.info-wrapper .loc {
    position: absolute;
    left: 6pt;
    bottom: 12pt;
}

.info-wrapper .info {
    position: absolute;
    left: 6pt;
    bottom: 2pt;
}

.item-grid .item .item-wrapper .preview:active img,.item-grid .item .item-wrapper .preview:hover img {
    transform: scale(1);
}

