<?if (!empty($userMenuItems)) {
    foreach ($userMenuItems as $menuItem) {
        // Extract the necessary information
        $urlValue = $menuItem['link'];
        $label = $menuItem['label'];

        // Your input string
        $inputString = $urlValue;

        // Use regular expression to match and extract URLs with additional information
        preg_match_all('/\/[\w-]+(\/:[\w-]+)?/', $inputString, $matches);

        // $matches[0] will contain the extracted URLs
        if (!empty($matches[0])) {
            $extractedUrls = $matches[0];
        } else {
            $extractedUrls = [];
        }

        foreach ($extractedUrls as $url) {
            echo '<li class="nav-item">';
            echo '<a class="nav-menu" href="' . $url . '">';
            echo $label; // Use the label instead of $urlName
            echo '</a>';
            echo '</li>';
        }
    }

    // The second code block
    $items = explode(',', $userMenuItems);

    foreach ($items as $item) {
        // Remove any leading or trailing whitespace
        $menuItem = trim($item);

        // Assuming 'urls' is the section in your config.ini file
        // Construct the URL name by replacing spaces with hyphens
        $urlName = 'webcams' . ucfirst(str_replace(' ', '-', $menuItem));
        $urlValue = getConfig('urls', $urlName, '');

        // Check if there is a label defined in config.ini for this menu item

        // Remove the "webcams" prefix from $urlName to get $labelKey
        $labelKey = 'menu' . str_replace('webcams', '', $urlName) . 'Label';

        $label = getConfig('templates', $labelKey, $urlName);
        // echo $labelKey;
        // Your input string
        $inputString = $urlValue;

        // Use regular expression to match and extract URLs with additional information
        preg_match_all('/\/[\w-]+(\/:[\w-]+)?/', $inputString, $matches);

        // $matches[0] will contain the extracted URLs
        if (!empty($matches[0])) {
            $extractedUrls = $matches[0];
        } else {
            $extractedUrls = [];
        }

        foreach ($extractedUrls as $url) {
            echo '<li class="nav-item">';
            echo '<a class="nav-menu" href="' . $url . '">';
            echo $label; // Use the label instead of $urlName
            echo '</a>';
            echo '</li>';
        }
    }
}
?>