<?php
session_start();
global $_AVOS;


// Check if the user is already logged in
if (isset($_SESSION['user_id'])) {
    header("Location: /users/" . $_SESSION['username']); // Redirect to the user page if already logged in
    exit();
} 

// Handle form submission
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Authenticate user (You should validate and sanitize inputs)
    $username = $_POST["username"];
    $password = $_POST["password"];

    // Get database configuration
    $db_host = $_AVOS['config']['mysql']['hostname'];
    $db_username = $_AVOS['config']['mysql']['username'];
    $db_password = $_AVOS['config']['mysql']['password'];
    $database = $_AVOS['config']['mysql']['database'];

    // Establish database connection
    $conn = new mysqli($db_host, $db_username, $db_password, $database);
    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    }

    // Query the database for the user
    $query = "SELECT id, password FROM member WHERE username = ?";
    $stmt = $conn->prepare($query);
    $stmt->bind_param("s", $username);
    $stmt->execute();
    $result = $stmt->get_result();

    // Fetch user data
    if ($result->num_rows === 1) {
        $user = $result->fetch_assoc();
        // Now verify the password
        if (password_verify($password, $user['password'])) {
            // Password is correct, proceed to log the user in
            $_SESSION['user_id'] = $user['id']; // Store user ID in the session
            $_SESSION['username'] = $username; // Store username in the session
            header("Location: /users/" . $_SESSION['username']); // Redirect to the user page
            exit();
        } else {
            $error_message = "Invalid username or password.";
        }
    } else {
        $error_message = "User not found.";
    }
}






if (!isset($_SESSION['user_id'])) {
 // header("Location: /"); // Redirect to the login page if not logged in
 //  exit();
}
?>
<center>



<div class="store-item mlr-neg-5 mt5" style="width:50%">
            <div class="col-right">
                <div class="text-center">
                    <!-- Login popup -->
                    <div class="well">
                        <h4>Login</h4>
                        <br>
                        <form id="xhr-login-form" action="" accept-charset="UTF-8" data-remote="true" method="post">
                            <input type="text" name="username" placeholder="Username" class="input-mfcs" autocomplete="off">
                            <input type="password" name="password" placeholder="Password" class="input-mfcs mt10" autocomplete="off">
                            <div class="flex-row space-between center mt15">
                                <div>
                                    <input type="submit" name="commit" value="Login" class="btn btn-green" data-disable-with="Login">
                                </div>
                                <div></div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
</center>  

</div> 