
<!--if (empty($m['featured'])) -->


<style>

.dynamic {
    display: inline-block;
animation: none!important;
    /* right: 30px; */
    width: 100%;
}

.index-module__flagNew--MIAcu span{
    background-color: gray;
    box-shadow: 0 3px 10px -5px #000;
    color: var(--cs-primary-text, var(--cs-gray-FF));
    display: block;
    font-size: 10px;
    color: white;
    font-weight: 700;
    line-height: 17px;
    position: absolute;
    right: 3px;
    text-align: center;
    top: 5px;
    transform: none;
    width: 75px;
}
</style>

        <div id="content-yield-container">
<?php
$matchesBySite = array();
$siteLinks = array();

// Create a mapping of site names to links from headerMenuItems
if (!empty($headerMenuItems)) {
    foreach ($headerMenuItems as $menuItem) {
        if (isset($menuItem['items'])) {
            foreach ($menuItem['items'] as $item) {
                $siteLinks[strtolower($item['label'])] = $item['link'];
            }
        }
    }
}

// First pass: Count the models and populate the $matchesBySite array
foreach ($models as $index => $m) {
    if ($m['status'] == 'Freechat' && (empty($m['blocked']) || !in_array($usersCountry, $m['blocked']))) {
        $site = strtolower($m['site']);

        // Increment count for the site
        if (!isset($matchesBySite[$site])) {
            $matchesBySite[$site] = 1;
        } else {
            $matchesBySite[$site]++;
        }
    }
}

// Display the count for each site
if (!empty($matchesBySite)) {
?>
<div class="col-right">
    <div class="text-center">
        <div class="panel panel-default mb0 panel-paywall">
            <div class="panel-body">
                <div>
                    <h3><?= $useNicknameTitle; ?></h3>
                </div>
            </div>
        </div>
    </div>

    <!-- Item Purchases -->
    <div id="item-purchases">
        <div class="mb5 mt10" style="display: flex;">
            <?php foreach ($matchesBySite as $site => $count) { ?>
                <?php if (isset($siteLinks[$site])): ?>
                    <a href="<?= htmlspecialchars($siteLinks[$site], ENT_QUOTES, 'UTF-8') ?>">
                        <button class="tabsItems"><?= htmlspecialchars(ucwords($site), ENT_QUOTES, 'UTF-8') . ': ' . htmlspecialchars($count, ENT_QUOTES, 'UTF-8') ?></button>
                    </a>
                <?php else: ?>
                    <button class="tabsItems"><?= htmlspecialchars(ucwords($site), ENT_QUOTES, 'UTF-8') . ': ' . htmlspecialchars($count, ENT_QUOTES, 'UTF-8') ?></button>
                <?php endif; ?>
            <?php } ?>
        </div>

        <div class="well">
            <?php $totalCount = array_sum($matchesBySite); ?>
            <?php
            // Assuming $useNicknameText is 'We Discover TOTALMODEL similar with'
            $useNicknameText = str_replace('TOTALMODEL', $totalCount, $useNicknameText);
            ?>
            <!-- Display the modified text -->
            <div class="h3 mt0"><?= htmlspecialchars($useNicknameText, ENT_QUOTES, 'UTF-8') ?> <?= htmlspecialchars(ucfirst($url['args']['nickname']), ENT_QUOTES, 'UTF-8') ?> free</div>
        </div>
    </div>
    <!-- End Item Purchases -->
</div>

<?php
} else {
    echo '<div class="col-right">';
    echo '<div class="text-center">';
    echo '<div class="panel panel-default mb0 panel-paywall">';
    echo '<div class="panel-body">';
    echo '<div>';
    echo '<h3>No models with similar nickname.</h3>';
    echo '</div>';
    echo '</div>';
    echo '</div>';
    echo '</div>';
    echo '</div>';
}
?>

<div class="row thing-box-container">
<div id="infinite-content">
    <div class="infinite-page clearfix" style="margin: 15px 26px 20px!important;">
<?php
// Second pass: Display the models
foreach ($models as $index => $m) {
    if ($m['status'] == 'Freechat' && (empty($m['blocked']) || !in_array($usersCountry, $m['blocked']))) {
        
        ?>
        <!-- start of model -->
        <div class="box album with-username loaded" data-site="<?= $m['site'] ?>" data-model-id="<?= $m['id'] ?>" data-nickname="<?= $m['nickname'] ?>" data-featured="<?= !empty($m['featured']) ? 1 : 0 ?>">
            <a href="<?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : '' ), $m)); ?>" class="media-container">
                <span class="marquee album-title album-title-bottom">
                    <span><?= $m['status'] ?></span>
                </span>
                <div class="indicators-top-right flex">
                    <?php if (isset($m['featured']) && $m['featured'] > 0): ?>
                        <!-- Content to display when $m['featured'] is greater than 0 -->
                    <?php else: ?>
                        <?php if (gmdate("d", $m['addedOn']) < '14'): ?>
                            <!-- Content to display when $m['featured'] is not greater than 0 and the second condition is true -->
                            <span><img class="newmodels" src="/assets.<?= $theme ?>/icons/listing_atlas8.svg#svg_ls_bage_new" class="avatar" alt="newmodel <?= $m['nickname'] ?> "></span>
                        <?php endif; ?>
                    <?php endif; ?>
                </div>
                <img src="<?= ($m['numImages'] > 0 && empty($useLiveImages)) ? $m['imagePath'] . $m['numImages'] . '.webp' : $m['imageUrl'] ?>" class="default-thumbnail" title="<?= $m['title'] ?>" alt="<?= $m['nickname'] ?> from <?= $m['site'] ?> is <?= $m['status'] ?>">
                <?php if ($m['hd'] == '0'): ?>
                    <img class="hdQualityplus" src="/assets.<?= $theme ?>/icons/listing_atlas8.svg#svg_ls_bage_hd_plus" class="avatar" alt="Hd chat cam from<?= $m['nickname'] ?> ">
                <?php endif; ?>
                <?php if ($m['hd'] == '1'): ?>
                    <img class="hdQuality" src="/assets.<?= $theme ?>/icons/listing_atlas8.svg#svg_ls_bage_hd" class="avatar" alt="hd cam  <?= $m['nickname'] ?> ">
                <?php endif; ?>
                <?php if (strpos($m['tags'], 'mobile') !== false): ?>
                    <img class="phoneQuality" src="/assets.<?= $theme ?>/icons/listing_atlas8.svg#svg_ls_bage_mobile" class="avatar" alt="mobile cam show with  <?= $m['nickname'] ?> ">
                <?php endif; ?>
                <?php //if (isset($m['featured']) && $m['featured'] > 0): ?>
                    <span class="index-module__flagNew--MIAcu <?php if ($featureModelAnimation > 0): ?>dynamic <?php endif; ?>">
                        <span class=""><?= $m['site'] ?></span>
                    </span>
                <?php //endif; ?>
                <?php if (strpos($m['tags'], 'lovense') !== false): ?>
                    <img class="lovense" src="/assets.<?= $theme ?>/icons/listing_atlas8.svg#svg_ls_bage_vibratoy" class="avatar" alt="have fun with <?= $m['nickname'] ?> and her toys ">
                <?php endif; ?>
            </a>
            <div style="clear:both;"></div>
            <div class="album-list-public-user-info">
                <a href="<?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : '' ), $m)); ?>">
                    <span class="avatar-status-container">
                        <img src="<?= $m['imagePath'] ?><?= rand(1, $m['numImages']); ?>.webp" width="30" height="30" class="avatar" loading="lazy" alt="<?= $description ?>" title="<?= $m['title'] ?>">
                    </span>
                    <span><?= $m['nickname'] ?></span>
                </a>
                <?php if ($useNicknamePage > 0): ?>
                    <a href="<?= encodeUrl('webcamsNickname', $m) ?>">
                    <?php if (isset($useNicknameIcon) && !empty($useNicknameIcon)) { ?>
                        <img src="<?= $useNicknameIcon ?>" alt="Nickname Icon" title="<?= $useNicknameImageTitle?>" style="height: <?= $useNicknamePageHeight ?>; width: auto;">
                    <?php } else { ?>
                        +
                    <?php } ?>
                    </a>
                <?php endif; ?>
                <?php if ($userFavoriteModels > 0): ?>
                    <span class=" pull-right" >
                        <?php
                        if (isset($favoriteModelIds)) {
                            // Check if the model's ID is in the user's favorite list
                            $isFavorite = in_array($m['id'], $favoriteModelIds);
                        } else {
                            // User is not logged in or has no favorites, so not a favorite
                            $isFavorite = false;
                        }
                        if (isset($_SESSION['user_id'])) {
                            // Create the button with the appropriate class and icon
                            echo '<button class="btn btn-grey btn-sm follow-button' . ($isFavorite ? ' added' : '') . '" data-modelid="' . $m['id'] . '">';
                            echo '<i class="fa ' . ($isFavorite ? 'fa-heart' : 'fa-heart-o') . '"></i>';
                            echo '</button>';
                        }
                        ?>
                    </span>
                <?php endif; ?>
                <span class="follow-buttons pull-right" >
                    <button class="btn btn-grey btn-sm follow-button" title="Follow <?= $m['nickname'] ?>">
                        <?php if ($m['gender'] == 'Couple'): ?>
                            <?php $m['gender'] = '<i class="fa fa-venus-mars" aria-hidden="true"></i>'; ?>
                        <?php endif; ?>
                        <?php if ($m['gender'] == 'Female'): ?>
                            <?php $m['gender'] = '<i class="fa fa-venus" aria-hidden="true"></i>'; ?>
                        <?php endif; ?>
                        <?php if ($m['gender'] == 'Male'): ?>
                            <?php $m['gender'] = '<i class="fa fa-male" aria-hidden="true"></i>'; ?>
                        <?php endif; ?>
                        <?php if ($m['gender'] == 'Trans'): ?>
                            <?php $m['gender'] = '<i class="fa fa-transgender-alt" aria-hidden="true"></i>'; ?>
                        <?php endif; ?>
                        <?= $m['gender'] ?>
                    </button>
                </span>
                <div style="clear:both;"></div>
            </div>
        </div>
        <!-- end of model -->
        <?php
    }
}
?>




    </div>

</div>

</div>

<?php include 'chatEmbed.php'; ?>
