
	<!-- above the fold -->
    <link rel="stylesheet" media="screen" href="/assets.<?= $theme ?>/css/toppage.css" />


<style>

.center-mobile {
    top: 2px!important;
    position: absolute!important;
}

@media (max-width: 479px) {
    .breadcrumb-container,
    .container-thing-v2,
    .container-thing .container-thing-v2 {
        margin-left: 10px!important;
        margin-right: 10px!important;
    }
}

@media(max-width: 479px) {
    .breadcrumb-container,.container-thing-v2,.container-thing.container-thing-v2 {
        margin-left: 10px;
        margin-right:  10px
    }
}


@media (min-width: 1400px)
{.category-content .category-desc-wrapper .category-desc {
    max-height: 260px!important;
}}
.url_link_image {
    position: relative;
    overflow: hidden;
}
b, strong {
    font-weight: 700!important;
}
.image-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: none;
    justify-content: center;
    align-items: center;
    background: rgba(0, 0, 0, 0.5); /* Semi-transparent background, adjust as needed */
}

.url_link_image:hover .image-overlay {
    display: grid;
    z-index: 9999;
    align-content: center;
    border-radius: 10px;

}

.overlay-button {
    background-color: <?= $tabsCategoriesMenuBackground; ?>;
    color:<?= $pageTextDescription; ?>;
    border-radius: 10px;
    padding: 8px 10px;
    margin: 5px;
    cursor: pointer;
}




.overlay-button:hover {
color:<?= $pageTextDescription; ?>;
text-decoration: none;
}

/* Article Styling */
article {
    max-width: 800px;
    margin: 40px auto;
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
}

/* Header Styles */
article header h1 {
    font-size: 2em;
    margin: 0;
    color: #333;
}

article header p {
    font-size: 1.2em;
    color: #666;
    margin: 10px 0 20px;
}

/* Section Paragraphs */
article section p {
    font-size: 1em;
    margin-bottom: 1.5em;
    color: #555;
    text-align: justify;
}

/* Emphasis */
article section p strong {
    color: #d9534f; /* Highlighted color for emphasis */
}

/* Media Queries for Mobile */
@media (max-width: 768px) {
    article {
        padding: 15px;
        margin: 20px;
    }

    article header h1 {
        font-size: 1.8em;
    }

    article header p {
        font-size: 1em;
    }

    article section p {
        font-size: 0.95em;
    }
}
/* Styling for the header */
h3 {
    font-size: 24px;
    font-weight: bold;
    color: #333;
    margin-bottom: 15px;
}

/* Description text */
.description-text {
    font-size: 16px;
    color: #555;
    margin-bottom: 20px;
}

/* Container for the list of cam sites */
.cam-sites {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    margin-top: 10px;
}
.name-text {
    color:<?= $menuLinkColor?>;
}
.name-text:hover {
    color:<?= $menuLinkColor?>;
}

/* Styling each cam site link */
.site-link {
    background-color:  <?= $navbarBGColor?>;
    padding: 10px 15px;
    border-radius: 5px;
    color: <?= $menuLinkColor?>;
    text-decoration: none;
    display: flex;
    align-items: center;
    font-size: 14px;
    font-weight: 500;
    transition: background-color 0.3s, transform 0.3s;
}

/* Hover effect for the links */
.site-link:hover {
    background-color: <?= $navbarBGColor?>;
    transform: translateY(-3px);
    color: <?= $menuLinkColor?>;
}

/* Styling for the model count */
.site-count {
    font-weight: 400;
    color: #999;
    margin-left: 5px;
}

/* Styling for the site name */
.site-name {
    font-weight: bold;
}


.frame-container {
    width: 80%; /* Set the width of the window container (adjust as needed) */
   
    margin: 20px auto; /* Centers the container */
    padding: 10px; /* Adds space between the frame and the iframe */
 
    border-radius: 10px; /* Optional: rounded corners for the frame */
    background-color: #fff; /* White background inside the frame */
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1); /* Optional: adds shadow for window effect */
}


.alert-container {margin-bottom: 0!important;}
.left-side-nav #navbar-viewing-history-container .thing {

display: block!important;
}
.url_short_desc {
    height: 50px;
    scroll-behavior: smooth;
    color: #777;
    text-align: left;
    font-size: 12px;
    padding: 2px 4px;
    letter-spacing: -.1px;
    text-overflow: ellipsis;
    word-wrap: break-word;
    overflow-y: auto!important; /* or overflow-y: scroll; */
    line-height: 1.3em;
}

.url_link_image video {
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 1;
    
    object-fit: cover;
    transition: transform 0.3s ease, opacity 0.3s ease;
}







.url_link_image:hover video {
    transform: scale(1.05); /* Slight zoom effect on hover */
    opacity: 0.9; /* Slight fade for a subtle effect */
}



.link-container {
    max-width: 100%;
    border-radius: 10px;
    background-color: white;
    padding: 0 15px;
    border: 3px solid <?= $navbarBGColor?>;
   
}

.label {
    position: absolute;
    top: 10px;
    right: 10px;
    color: white;
    padding: 5px 10px;
    font-size: 12px;
    font-weight: bold;
    border-radius: 5px;
    z-index: 10; /* Ensures it appears over the image */
}

.featured-performers {
    background-color: #e74c3c;
}

.affiliate-websites {
    background-color: #3498db;
}

.non-nude {
    background-color: #2ecc71;
}

.exclusive-events {
    background-color: #f39c12;
}

.adult-entertainment {
    background-color: #9b59b6;
}

.trending-videos {
    background-color: #1abc9c;
}

.top-cam-sites {
    background-color: #34495e;
}

.premium-articles {
    background-color: #8e44ad;
}

.interactive-shows {
    background-color: #16a085;
}

.recorded-streams {
    background-color: #e67e22;
}

.porn-networks {
    background-color: #c0392b;
}

.other {
    background-color: #bdc3c7; /* Default color for 'Other' */
}

.url_short_desc {
    height: 50px;
    scroll-behavior: smooth;
    color: <?= $menuLinkColor?>; /* Darker color for better readability */
    text-align: left;
    font-size: 14px; /* Slightly larger font for better legibility */
    padding: 10px 14px; /* More padding for a spacious look */
    letter-spacing: -.05px; /* Slightly tighter spacing for a cleaner feel */
    text-overflow: ellipsis;
    word-wrap: break-word;
    overflow-y: auto !important;
    line-height: 1.6em; /* Increased line-height for better readability */
    background-color: <?= $navbarBGColor?>; /* Light background to make the text pop */
    border-top-left-radius: 0; /* Remove top-left border radius */
    border-top-right-radius: 0; /* Remove top-right border radius */
    border-bottom-left-radius: 6px; /* Keep bottom-left border radius */
    border-bottom-right-radius: 6px; /* Keep bottom-right border radius */
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1); /* Soft shadow for depth */
    transition: all 0.3s ease-in-out; /* Smooth transition effect */
}
.url_link_image {
    position: relative;
    padding-bottom: 100%;
    padding-bottom: -webkit-calc(100% - 2px);
    padding-bottom: calc(100% - 2px);
    background: #f5f5f5;
    overflow: hidden;
    border-top-left-radius: 6px; /* Remove top-left border radius */
    border-top-right-radius: 6px; /* Remove top-right border radius */
    border-bottom-left-radius: 0; /* Keep bottom-left border radius */
    border-bottom-right-radius: 0; /* Keep bottom-right border radius */
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1); /* Soft shadow for depth */
    z-index: 1;
}
/*cloud*/

</style>
<? if ($page == 1 && isset($pages)): ?>
<div id='num-pages' data-pages='<?= $pages ?>'></div>
<? endif; ?>
<? // Access individual elements directly



$mainDescription = isset($promoteMain[0]['mainDescription']) ? $promoteMain[0]['mainDescription'] : '';
$mainTitle = isset($promoteMain[0]['mainTitle']) ? $promoteMain[0]['mainTitle'] : '';

?> 
 






			<div class="container link-container">
				
            <div class="breadcrumb-holder">
								
                        <a href="/" itemprop="item">
             <img  src="<?= $websitesLogoPage ?>" alt="Logo"  class="setlogo"  loading="lazy"/>
            </a>
            <div class="link-header related-sites top-sex-cam-sites-block-style">
					<h2 class="noicon" style="font-size: 16px;"><span class="inline-icon icon-cam"></span><span><? echo $mainTitle;?> 
                
    
                
                </span></h2>
					<div class="category-filters"></div>
					<div class="link-header-back"><a href="/">See All Cams Models</a></div>
				</div>


				</div>

				<div class="feature-container">
					<div class="link-content category-content clearfix">
						<div class="category-desc-wrapper v-scroll">
							<div class="category-desc scrollbox">


<?=$mainDescription?>





<?
// the id's are set in ---- dinamicPageOptions.ini
$promoteHeaderText = !empty($promoteHeaderText) ? $promoteHeaderText: 'Did you know that you can explore live shows on these popular cam sites?';
$promoteDescriptionText = !empty($promoteDescriptionText) ? $promoteDescriptionText : 'Check out some of the top platforms where you can find amazing live cams, and watch your favorite models perform.';
?>

<h3><?= htmlspecialchars($promoteHeaderText) ?></h3>
<p class="description-text"><?= htmlspecialchars($promoteDescriptionText) ?></p>

<div class="cam-sites">
    <?php foreach ($sites as $name => $s): ?>
        <a class="site-link" href="<?= encodeRoomLink($s['fullname']) ?>">
            <span class="site-name"><?= htmlspecialchars($s['fullname']) ?></span> 
            <span class="site-count">(<?= $s['online'] ?> models)</span>
        </a>
    <?php endforeach; ?>
</div>

								<br />




</div>
						</div>




						<div class="url_links_wrapper url_links_hover thumbs-list-content" >
                        <?php
// Sort the $promote array by 'publishedOn' in descending order
usort($promote, function($a, $b) {
    return strtotime($b['publishedOn']) - strtotime($a['publishedOn']);
});
?>

<?php foreach ($promote as $p): ?>
    <div class="url_link_container">
        <div class="url_link_image">
            <div class="url_link_title">
                <a class="link" href="<?= encodeUrl('webcamsPartenersDescription', $p); ?>">
                    <span class="link-icon-base icon icon514"></span> <?= ucfirst($p['siteNames']) ?>
                </a>
            </div>

            <a class="link" href="<?= $p['SiteLink'] ?>">
                <?php
                $file_extension = pathinfo($p['SiteImage'], PATHINFO_EXTENSION);
                if (in_array($file_extension, ['jpg', 'jpeg', 'png', 'gif', 'webp'])): ?>
                    <img class="lazyloaded" src="<?= $p['SiteImage'] ?>" alt="Site Image">
                <?php elseif (in_array($file_extension, ['webm', 'mp4'])): ?>
                    <video class="lazyloaded" autoplay muted loop>
                        <source src="<?= $p['SiteImage'] ?>" type="video/<?= $file_extension ?>">
                        Your browser does not support the video tag.
                    </video>
                <?php endif; ?>

                <div class="image-overlay">
                    <?php
                    $labelClass = '';
                    $labelText = '';

                    switch ($p['siteType']) {
                        case 'Featured Performers':
                            $labelClass = 'featured-performers';
                            $labelText = 'Spotlight Model';
                            break;
                        case 'Affiliate Websites':
                            $labelClass = 'affiliate-websites';
                            $labelText = 'Top Websites';
                            break;
                        case 'Non-Nude Content':
                            $labelClass = 'non-nude';
                            $labelText = 'Non-Nude';
                            break;
                        case 'Exclusive Events':
                            $labelClass = 'exclusive-events';
                            $labelText = 'Exclusive Events';
                            break;
                        case 'Adult Entertainment':
                            $labelClass = 'adult-entertainment';
                            $labelText = 'Adult Play';
                            break;
                        case 'Trending Videos':
                            $labelClass = 'trending-videos';
                            $labelText = 'Trending Videos';
                            break;
                        case 'Top Cam Sites':
                            $labelClass = 'top-cam-sites';
                            $labelText = 'Top Cam';
                            break;
                        case 'Premium Articles':
                            $labelClass = 'premium-articles';
                            $labelText = 'Premium Story';
                            break;
                        case 'Interactive Shows':
                            $labelClass = 'interactive-shows';
                            $labelText = 'Interactive Shows';
                            break;
                        case 'Recorded Streams':
                            $labelClass = 'recorded-streams';
                            $labelText = 'Recorded';
                            break;
                        case 'Porn Networks':
                            $labelClass = 'porn-networks';
                            $labelText = 'Porn';
                            break;
                        default:
                            $labelClass = 'other';
                            $labelText = 'Other';
                    }
                    ?>

                    <a href="<?= encodeUrl('webcamsPartenersDescription', $p); ?>" class="overlay-button dopp">Read Review <i class="fa fa-arrow-right"></i></a>
                    <a href="/promotModels.php/profile_<?= $p['siteNames'] ?>/<?= $p['SiteLink'] ?>" class="overlay-button dopp">Discover More <i class="fa fa-link"></i></a>
                </div>
                <div class="label <?= $labelClass ?>"><?= $labelText ?></div>
            </a>
        </div>
        <div class="url_short_desc"><b>     <a href="/promotModels.php/profile_<?= $p['siteNames'] ?>/<?= $p['SiteLink'] ?>" class="name-text "><?= ucfirst($p['siteNames']) ?></a></b> - <?= $p['description'] ?></div>
    </div>
<?php endforeach; ?>

					
						</div>
				</div>
			</div>


          



            <div class="tag-cloud">
      

<div class="tag-cloud">
    

<?php foreach ($promote as $p): ?>
    <?php 
    $encodedUrl = strtolower(encodeUrl('webcamsProfile' . $p['siteShortNameCaps'], $p));

    // Debugging: Check the generated encoded URL
   // echo "Encoded URL: $encodedUrl<br>";

    // Prepare replacements for the placeholders
    $nickname = strtolower(str_replace(' ', '-', $p['siteNames']));
    $site = strtolower($p['SiteOnwer']); // Use SiteOnwer key here

    // Debugging: Verify replacement values
   // echo "Nickname: $nickname, Site: $site<br>";

    // Replace the placeholders in the encoded URL
    $finalUrl = str_replace(
        [':nickname', ':site'], 
        [$nickname, $site], 
        $encodedUrl
    );

    // Debugging: Check final URL
   // echo "Final URL: $finalUrl<br>";
    ?>

    <!-- Display the link -->
    <a style="font-size: <?= rand(12, 35); ?>px" href="<?= $finalUrl ?>" title="webcams categories"><?= $p['siteNames'] ?></a>
<?php endforeach; ?>








 </div>



    </div>

            <div class="frame-container">
            <?php if (isset($headerTags) && $headerTags > 0 ): # add the tags to any page??? ?>
    <div class="timeline-filter-dropdown collapse in" id="feed-options">
        <div class="flex flex-wrap">
            <?php $i = 0; foreach ($tags as $name => $t): if ($i++ < 20): ?>
                <a class="tabsItems" href="<?= encodeUrl('webcamsTag', $t) ?>">#<?= $name ?></a>
            <?php endif; endforeach ?>
            <a class="tabsItems" href="<?= encodeUrl('webcamsTagspage') ?>">(more tags)</a>
            <span class="flex-grow" style="flex-grow:5"></span>
        </div>
    </div>
<?php endif; ?>
    <div class="rwd-media">
        
        <?php include "chatHomeEmbed.php"; ?>
    </div>
    
</div>


<? if(!empty($footerPromoteSlider && $footerPromoteSliderProfilePage > 0)):?>
  
  <div class="carousel_content__RfxDh hidden-xs">
    <button id="prevButton">
      <svg height="32" viewBox="0 0 32 32" width="32" xmlns="http://www.w3.org/2000/svg">
        <rect fill="#fff" height="32" opacity="0" width="32"></rect>
        <path d="M-72.314,296.2h-9.438l4.429-4.429a.58.58,0,0,0,0-.821.582.582,0,0,0-.821,0l-5.42,5.42a.557.557,0,0,0-.125.188.579.579,0,0,0,0,.444.572.572,0,0,0,.125.189l5.42,5.419a.575.575,0,0,0,.41.17.578.578,0,0,0,.411-.17.58.58,0,0,0,0-.821l-4.429-4.428h9.438a.581.581,0,0,0,.581-.581A.581.581,0,0,0-72.314,296.2Z" fill="#fff" transform="translate(93.732 -280.778)"></path>
      </svg>
    </button>
    <div class="carousel_bannerWrapper__cQHkR">
      <a class="carousel_terciaryRight__JaR7S" href="<?= $footerPromoteLink1?>">
        <div class="carousel_overlay__defT7"></div>
              <img alt="Promotion image" loading="lazy" decoding="async" data-nimg="fill" src="<?= $footerPromoteBanner1?>" style="position: absolute; height: 100%; width: 100%; inset: 0px; color: transparent;"></a>
      <a class="carousel_secondaryLeft__x_r1V" href="<?= $footerPromoteLink2?>">
        <div class="carousel_overlay__defT7"></div>
              <img alt="Promotion image" loading="lazy" decoding="async" data-nimg="fill" src="<?= $footerPromoteBanner2?>" style="position: absolute; height: 100%; width: 100%; inset: 0px; color: transparent;"></a>
      <a class="carousel_mainBanner__oOVtn" href="<?= $footerPromoteLink3?>">
        <div class="carousel_overlay__defT7"></div>
              <img alt="Promotion image" loading="lazy" decoding="async" data-nimg="fill" src="<?= $footerPromoteBanner3 ?>" style="position: absolute; height: 100%; width: 100%; inset: 0px; color: transparent;"></a>
      <a class="carousel_secondaryRight__R_FSX" href="<?= $footerPromoteLink4?>">
        <div class="carousel_overlay__defT7"></div>
              <img alt="Promotion image" loading="lazy" decoding="async" data-nimg="fill" src="<?= $footerPromoteBanner4?>" style="position: absolute; height: 100%; width: 100%; inset: 0px; color: transparent;"></a>
    </div>
  
    <button id="nextButton">
      <svg class="carousel_arrowRight__HX4v4" height="32" viewBox="0 0 32 32" width="32" xmlns="http://www.w3.org/2000/svg">
        <rect fill="#fff" height="32" opacity="0" width="32"></rect>
        <path d="M-72.314,296.2h-9.438l4.429-4.429a.58.58,0,0,0,0-.821.582.582,0,0,0-.821,0l-5.42,5.42a.557.557,0,0,0-.125.188.579.579,0,0,0,0,.444.572.572,0,0,0,.125.189l5.42,5.419a.575.575,0,0,0,.41.17.578.578,0,0,0,.411-.17.58.58,0,0,0,0-.821l-4.429-4.428h9.438a.581.581,0,0,0,.581-.581A.581.581,0,0,0-72.314,296.2Z" fill="#fff" transform="translate(93.732 -280.778)"></path>
      </svg>
    </button>
    <div class="carousel_mobileNav__GE54W"><span class="carousel_smallDot__3x2_N"></span><span class="carousel_mediumDot__LdqTN"></span><span class="carousel_mediumDot__LdqTN carousel_active__LSqQ3"></span><span class="carousel_smallDot__3x2_N"></span></div>
  </div>
  
  
  
  
  <script>
      const bannerWrapper = document.querySelector('.carousel_bannerWrapper__cQHkR');
      const nextButton = document.getElementById('nextButton');
      const prevButton = document.getElementById('prevButton');
  
      // Function to rotate classes
      function rotateClasses() {
          const items = Array.from(bannerWrapper.children);
  
          const tempClass = items[0].className;
          for (let i = 0; i < items.length - 1; i++) {
              items[i].className = items[i + 1].className;
          }
          items[items.length - 1].className = tempClass;
      }
  
      // Function to show the next image
      function showNextImage() {
          rotateClasses();
      }
  
      // Function to show the previous image
      function showPrevImage() {
          const items = Array.from(bannerWrapper.children);
  
          const tempClass = items[items.length - 1].className;
          for (let i = items.length - 1; i > 0; i--) {
              items[i].className = items[i - 1].className;
          }
          items[0].className = tempClass;
      }
  
      // Event listeners for the next and previous buttons
      nextButton.addEventListener('click', showNextImage);
      prevButton.addEventListener('click', showPrevImage);
  </script>   
  <?endif;?>
  
  
  









</div>



<br>

<? if (!isset($_GET['layout']) || $url['page'] == 1 || $page == 1): ?>
<? endif; ?>

<? if (!empty($paginationLoadMore) && $pages > 1 && $page == 1): ?>
<div class="item-more" id="loadmore"  style="text-align: center;">
   <a href="javascript:page.loadMore();" class="btn btn-theme pagestyle"><?= $paginationMoreBtnText ?></a>
</div>
<? endif; ?>

<? if (empty($paginationLoadMore)): ?>
<div class="item-more" id="loadmore" style="text-align: center;">
   <? if ($page > 1): ?>
   <a href="javascript:document.location=page.getPrevPage();" class="btn btn-theme pagestyle"><?= $paginationBackBtnText ?></a>
   <? endif; ?>
   <? if ($page < $pages): ?>
   <a href="javascript:document.location=page.getNextPage();" class="btn btn-theme pagestyle"><?= $paginationNextBtnText ?></a>
   <? endif; ?>
</div>
<? endif; ?>
<? if (!isset($_GET['layout']) || $url['page'] == 1): ?>
<? endif; ?>
<script>
   $(document).ready(function() {
       $('.follow-button').click(function() {
           var modelId = $(this).data('modelid');
   
           if ($(this).hasClass('added')) {
               // If the button is marked as added, remove the model from favorites
               removeFromFavorites(modelId);
           } else {
               // Otherwise, add the model to favorites
               addToFavorites(modelId);
           } 
       });
   
       function addToFavorites(modelId) {
           $.post("", { action: "add", modelId: modelId }, function(data) {
               console.log(data);
               var button = $('.follow-button[data-modelid="' + modelId + '"]');
               button.addClass('added');
               button.find('i').removeClass('fa-heart-o').addClass('fa-heart'); // Change icon class
           });
       }
   
       function removeFromFavorites(modelId) {
           $.post("", { action: "remove", modelId: modelId }, function(data) {
               console.log(data);
               var button = $('.follow-button[data-modelid="' + modelId + '"]');
               button.removeClass('added');
               button.find('i').removeClass('fa-heart').addClass('fa-heart-o'); // Change icon class
           });
       }
   });
</script>
<br>