
<style>

.table > thead > tr > th, .table > tbody > tr > th, .table > tfoot > tr > th, .table > thead > tr > td, .table > tbody > tr > td, .table > tfoot > tr > td {
    vertical-align: middle;
    text-align: center;
    font-weight: 700;
}
.sel{
  height: 30px;
    width: 30%;
    border-radius: 6px;
    border: 1px solid orange;
}
.ref{
  height: 30px;
  border: none;
  background: #D4EDD9;
  /* border: 1px solid orange; */
  border-radius: 4px;
}

.form-title {
    padding: 1em 2em;
    background-color: yellowgreen;
    border-bottom: 1px solid #ddd;
}
.url_link_image {
    position: relative;
    width: 100px;
    height: 100px;
    overflow: hidden;
}

.responsive-img, .responsive-video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
</style>
<?php

// Assuming you have a database connection
$hostname = $_AVOS['config']['mysql']['hostname'];
$username = $_AVOS['config']['mysql']['username'];
$password = $_AVOS['config']['mysql']['password'];
$dbname   = $_AVOS['config']['mysql']['database'];

// Create connection
$conn = new mysqli($hostname, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Initialize variables
$mainDescription = "";
$mainTitle = "";
$title = "";
$description = "";
$keywords = "";

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $mainDescription = $conn->real_escape_string($_POST['mainDescription']);
    $mainTitle = $conn->real_escape_string($_POST['mainTitle']);
    $title = $conn->real_escape_string($_POST['title']);
    $description = $conn->real_escape_string($_POST['description']);
    $keywords = $conn->real_escape_string($_POST['keywords']);

    if (!empty($mainDescription) && !empty($mainTitle)) {
        // SQL query to update or insert data

$updateSql = "UPDATE promoteMainDescription 
              SET mainDescription = '$mainDescription',
                  mainTitle = '$mainTitle',  
                  title = '$title',
                  description = '$description',
                  keywords = '$keywords'";

        if ($conn->query($updateSql) === TRUE) {
            echo "Record updated successfully";
        } else {
            echo "Error updating record: " . $conn->error;
        }

        if ($conn->affected_rows == 0) {
            $insertSql = "INSERT INTO promoteMainDescription (mainDescription, mainTitle, title, description, keywords) 
                          VALUES ('$mainDescription', '$mainTitle', '$title', '$description', '$keywords')";

            if ($conn->query($insertSql) === TRUE) {
                echo "Record inserted successfully";
            } else {
                echo "Error inserting record: " . $conn->error;
            }
        }
    }
}

// Select data from promoteMainDescription table
$selectSql = "SELECT mainDescription, mainTitle, title, description, keywords FROM promoteMainDescription";
$result = $conn->query($selectSql);

// Output the selected data
if ($result->num_rows > 0) {
    $row = $result->fetch_assoc();
    $mainDescription = $row["mainDescription"];
    $mainTitle = $row["mainTitle"];
    $title = $row["title"];
    $description = $row["description"];
    $keywords = $row["keywords"];
} else {
    echo "No records found";
}

$conn->close();
?>




          	<div class="clearfix"> </div>
				<h2 class="title1">Websites to Promote</h2>
				<div class="blank-page widget-shadow scroll" id="style-2 div1">




<button type="button" class="btn btn-info btn-flat btn-pri btn-lg" onclick="redirectToAddPage()" style=" border-radius: 4px;">
    <i class="fa fa-plus" aria-hidden="true"></i> Add  Website | Model | Event
</button>

<script>
    function redirectToAddPage() {
        window.location.href = '?page=add-promote-websites';
    }
</script>

          <div class="table-responsive bs-example widget-shadow">
          						<table class="table table-bordered">
                         <thead>
                          <tr style="background: beige;">
                              <th>#Id</th>
                              <th>Preview</th>
                              <th>Profile | Platform</th>
                              <th>Network</th>
 
                              <th>Action</th>

                             </tr>
                            </thead>
                             <tbody>
                                 <? foreach ($promote as $p): ?>
                                   <tr>
                                      <th scope="row"><?= $p['siteId'] ?></th>
									  <td style="width: 10px;">
                    
                                      <?php
// Get the file extension
$fileExtension = pathinfo($p['SiteImage'], PATHINFO_EXTENSION);

// Check if the format is an image or video
$isImage = in_array(strtolower($fileExtension), ['jpg', 'jpeg', 'png', 'gif', 'webp']);
?>

<div class="url_link_image">
    <?php if ($isImage): ?>
        <img src="<?= $p['SiteImage'] ?>" alt="Site Image" class="responsive-img" width="100" height="100">
    <?php else: ?>
        <video autoplay loop muted class="responsive-video" width="100" height="100">
            <source src="<?= $p['SiteImage'] ?>" type="video/<?= $fileExtension ?>">
            Your browser does not support the video tag.
        </video>
    <?php endif; ?>
</div>

              
									</td>
                                    <td><?= $p['siteNames'] ?></td>
                                 
                                     <td><?= $p['SiteOnwer'] ?></td>
                                     
                                     <td style="    background: aliceblue;">
									   <a href="?page=sites-edit&id=<?= $p['siteId'] ?>" style="color:blueviolet; font-weight: 900;"> <i class="fa fa-pencil-square-o" aria-hidden="true"></i> &nbsp; Edit</a>
									   <br>
                                      
									   <p>
                                       <a href="?page=sites-list&delete=<?= $p['siteId'] ?>" onclick="return confirm('Delete Promote Data?')"><b><span style="color:red"><i class="fa fa-trash" aria-hidden="true"></i> &nbsp;Delete</span></b></a>

                                    
                                    
                                    </p>
                                     </td>






                            






                                   </tr>
                                  <? endforeach; ?>

                                  </tbody> </table>
          					</div>

          </table>
          <div class="form-grids row widget-shadow" data-example-id="basic-forms"> 
    <div class="form-title">
        <h4>Main Page Description :</h4>
    </div>
    <div class="form-body">
        <form action="" method="post" class="form-horizontal">
            <div class="form-group">
                <label for="mainTitle" class="col-sm-2 control-label">Page Title</label>
                <div class="col-sm-6">
                    <input type="text" id="mainTitle" name="mainTitle" class="form-control1" value="<?php echo htmlspecialchars($mainTitle); ?>">
                </div>
                <div class="col-sm-2">
                    <p class="help-block">Page Title</p>
                </div>
            </div>

            <div class="form-group">
                <label for="title" class="col-sm-2 control-label">Meta Title</label>
                <div class="col-sm-6">
                    <input type="text" id="title" name="title" class="form-control1" value="<?php echo htmlspecialchars($title); ?>">
                </div>
                <div class="col-sm-2">
                    <p class="help-block">Meta Title</p>
                </div>
            </div>

            <div class="form-group">
                <label for="description" class="col-sm-2 control-label">Description Meta</label>
                <div class="col-sm-6">
                    <input type="text" id="description" name="description" class="form-control1" value="<?php echo htmlspecialchars($description); ?>">
                </div>
                <div class="col-sm-2">
                    <p class="help-block">Description Meta</p>
                </div>
            </div>

            <div class="form-group">
                <label for="keywords" class="col-sm-2 control-label">Keywords Meta</label>
                <div class="col-sm-6">
                    <input type="text" id="keywords" name="keywords" class="form-control1" value="<?php echo htmlspecialchars($keywords); ?>">
                </div>
                <div class="col-sm-2">
                    <p class="help-block">Keywords Meta</p>
                </div>
            </div>

            <div class="form-group">
                <label for="mainDescription" class="col-sm-2 control-label">Main Description:</label>
                <div class="col-sm-8">
                    <textarea id="mainDescription" name="mainDescription" style="height: 150px; width: 100%;"><?php echo htmlspecialchars($mainDescription); ?></textarea>
                </div>
                <div class="col-sm-2">
                    <p class="help-block">No limit, but be nice <code>(maybe max 1000 - 1500..)</code></p>
                </div>
            </div>

            <!-- Include TinyMCE library via CDN -->
            <script src="https://cdn.tiny.cloud/1/no-origin/tinymce/5.10.9-138/tinymce.min.js"></script>
            <script>
                tinymce.init({
                    selector: "textarea",  
                    height: 300,
                    plugins: [
                        'advlist autolink lists link image charmap print preview anchor',
                        'searchreplace visualblocks code fullscreen',
                        'insertdatetime media table paste code help wordcount',
                        'emoticons hr pagebreak nonbreaking toc',
                        'contextmenu directionality emoticons template textcolor'
                    ],
                    toolbar: "undo redo | formatselect | bold italic backcolor | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | removeformat | link image media",
                    menubar: "file edit view insert format tools table help",
                    content_css: [
                        "https://cdn.tiny.cloud/1/<?= $_AVOS['config']['blog']['TinyMCEapi_key']?>/tinymce/5/content.css"
                    ]
                });
            </script>

            <button type="submit" class="btn btn-default">Add Page Description</button>
        </form>
    </div>
</div>














                                 </div>
	<div class="clearfix"> </div>
</div>

</div>
			</div>
		</div>
	</div>



<!-- Display the mainDescription value wherever needed on the page -->


