
<script src="https://cdn.anychart.com/releases/8.11.0/js/anychart-base.min.js"></script>
<script src="https://cdn.anychart.com/releases/8.11.0/js/anychart-ui.min.js"></script>
<script src="https://cdn.anychart.com/releases/8.11.0/js/anychart-heatmap.min.js"></script>
<script src="https://cdn.anychart.com/releases/8.11.0/js/anychart-exports.min.js"></script>

<style>

@-webkit-keyframes bake-pie {
  from {
    transform: rotate(0deg) translate3d(0, 0, 0);
  }
}

@keyframes bake-pie {
  from {
    transform: rotate(0deg) translate3d(0, 0, 0);
  }
}
.pie-chart {
  font-family: "Open Sans", Arial;
}
.pie-chart--wrapper {
  width: 400px;
  margin: 30px auto;
  text-align: center;
}
.pie-chart__pie, .pie-chart__legend {
  display: inline-block;
  vertical-align: top;
}
.pie-chart__pie {
  position: relative;
  height: 200px;
  width: 200px;
  margin: 10px auto 35px;
}
.pie-chart__pie::before {
  content: "";
  display: block;
  position: absolute;
  z-index: 1;
  width: 100px;
  height: 100px;
  background: #EEE;
  border-radius: 50%;
  top: 50px;
  left: 50px;
}
.pie-chart__pie::after {
  content: "";
  display: block;
  width: 120px;
  height: 2px;
  background: rgba(0, 0, 0, 0.1);
  border-radius: 50%;
  box-shadow: 0 0 3px 4px rgba(0, 0, 0, 0.1);
  margin: 220px auto;
}

.slice {
  position: absolute;
  width: 200px;
  height: 200px;
  clip: rect(0px, 200px, 200px, 100px);
  -webkit-animation: bake-pie 1s;
          animation: bake-pie 1s;
}
.slice span {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  background-color: black;
  width: 200px;
  height: 200px;
  border-radius: 50%;
  clip: rect(0px, 200px, 200px, 100px);
}

.pie-chart__legend {
  display: block;
  list-style-type: none;
  padding: 0;
  margin: 0 auto;
  background: #FFF;
  padding: 0.75em 0.75em 0.05em;
  font-size: 13px;
  box-shadow: 1px 1px 0 #DDD, 2px 2px 0 #BBB;
  text-align: left;
  width: 65%;
}
.pie-chart__legend li {
  height: 1.25em;
  margin-bottom: 0.7em;
  padding-left: 0.5em;
  border-left: 1.25em solid black;
}
.pie-chart__legend em {
  font-style: normal;
}
.pie-chart__legend span {
  float: right;
}

.pie-charts {
  display: flex;
  flex-direction: row;
}
@media (max-width: 500px) {
  .pie-charts {
    flex-direction: column;
  }
}




.chart-lbl {
    margin-left: 5%;
    font-size: 12px;
    color: var(--grey-d3);
    opacity: 0.8;
}
.content-center {
    display: flex;
    justify-content: center;
    align-items: center;
}
.divider {
    background-color: var(--grey-d2);
    height: 2px;
    margin: auto;
    width: 98%;
}
</style>

<script>   
anychart.onDocumentReady(function () {
var data = 

[
    <? foreach ($heatmap as $day => $hours): ?>
		<? foreach ($hours as $hour => $value): ?>
   
  {x:   <?= $hour ?>, y: "<?= $day ?>", heat:  <?= $value ?>},
  <? endforeach; ?>
	<? endforeach; ?>
];


// create a chart and set the data
var chart = anychart.heatMap(data);
chart.xAxis().labels().fontColor("<?= $chartTextcolor?>");
chart.yAxis().labels().fontColor("<?= $chartTextcolor?>");

// create and configure a color scale.
var customColorScale = anychart.scales.linearColor();
customColorScale.colors(["#00ccff", "#ffcc00"]); 
textStyle = {fontFamily: "Georgia", fontSize: "25px", color: "blue"};

// set the color scale as the color scale of the chart
chart.colorScale(customColorScale);

chart.hovered().fill("gray", 0.4);
chart.selected().fill("gray", 0.6);
chart.selected().hatchFill("forward-diagonal", "red", 2, 20);
chart.normal().stroke("gray");
chart.hovered().stroke("gray");
chart.selected().stroke("gray", 2);


// set the color scale as the color scale of the chart
chart.colorScale(customColorScale);
chart.background().fill({
  keys: ["<?= $chartcolor?>"],
  angle: 130,
});


 // enable HTML for labels
    //chart.labels().useHtml(true);

    // configure labels
   

    // configure tooltips
 //   chart.tooltip().format(    "FreeChat Sessions" );

// set the chart title
chart.title("<?= ucfirst($model['nickname']) ?> schedule ");


// set the container id
chart.container("container");

// initiate drawing the chart
chart.draw();
});
</script>


</div>

<div class="col-xs-12 col-sm-12" style="margin: 0 3% 0 1%;">
<? if(!empty($profileHeatMapChart)):?>
<div id="container" class="well te-index xs-undo-side-padding mt5" style="height:400px; background-color:transparent!important;"></div>

<?endif;?>

<? if(!empty($profilePieChart)):?>
  <div class="users_show">
  <? $count = 0;foreach ($stats as $i => $s): $count++;?>
    <div class="card-1" style="height: 200px; margin:4px;display: inline-table;margin: 4px; width: 250px;">
    <!--  <h4 class="chart-lbl">
        <?= DateTime::createFromFormat('!m', $s['month'])->format('F') ?> 20<?= $s['year'] ?>
      </h4>-->
      <a href="/<?= strtolower($model['site']) ?>/<?= $model['nickname'] ?>/stats/<?= $s['year'] ?>/<?= $s['month'] ?>">
        <canvas id="myChart<?= $i ?>" style="display: inline; height: 250px;width: 250px; margin:30px;"></canvas>
      </a>
    </div>
  <? endforeach;?>
</div>

<center>
  <div class="button-container" style="text-align: center; margin: 20px 0;display: inline-flex;">
  <div class="more-button">
    <button class="show-more">Show all <?= $model['nickname'] ?> Stats</button>
  </div>
  <div class="less-button">
    <button class="show-less">Show Less</button>
  </div>
</div>
</center>

<script>
  const cards = document.querySelectorAll(".card-1");
  const moreButton = document.querySelector(".show-more");
  const lessButton = document.querySelector(".show-less");
  const moreButtonContainer = document.querySelector(".more-button");
  const lessButtonContainer = document.querySelector(".less-button");
  let visibleCount = 4;
  const handleMoreButtonClick = () => {
    visibleCount += 4;
    showCards();
  };
  const handleLessButtonClick = () => {
    visibleCount -= 4;
    showCards();
  };

  const showCards = () => {
    let count = 0;
    cards.forEach((card) => {
      if (count < visibleCount) {
        card.style.display = "inline-table";
      } else {
        card.style.display = "none";
      }
      count++;
    });

    if (visibleCount >= cards.length) {
      moreButtonContainer.style.display = "none";
    } else {
      moreButtonContainer.style.display = "block";
    }

    if (visibleCount <= 4) {
      lessButtonContainer.style.display = "none";
    } else {
      lessButtonContainer.style.display = "block";
    }
  };
  showCards();

  moreButton.addEventListener("click", handleMoreButtonClick);
  lessButton.addEventListener("click", handleLessButtonClick);
</script>



<?endif;?>
</div>

<script>
    <? foreach ($stats as $i => $s): ?>
   var ctx = document.getElementById("myChart<?= $i ?>");
var myChart = new Chart(ctx, {
    title:{
      text: "This is a Chart Title",
     //Uncomment properties below to see how they behave
     fontColor: "red",
     fontSize: 30
      },
    
  type: 'pie',
  
  data: {
    labels: ['FreeChat', 'Group Chat', 'Private'],
    datasets: [{
      //label: '    <?= DateTime::createFromFormat('!m', $s['month'])->format('F') ?> 20<?= $s['year'] ?>',
      data: [<?= $s['freechatTime'] ?>, <?= $s['groupTime'] ?>, <?= $s['privateTime'] ?>],
      backgroundColor: [
        "#8A76A6", "#54B5BF", "#8EA65B"
      ],
      borderColor: [
        'rgba(255,99,132,1)',
        'rgba(54, 162, 235, 1)',
        'rgba(255, 206, 86, 1)',
        'rgba(75, 192, 192, 1)'
      ],
      borderWidth: 1
    }]
  },
  options: {
   	cutoutPercentage: 40,
    responsive: false,
    
    legend: {
            labels: {
                fontSize: 12,// set the font size of the legend labels to 16 pixels
                fontColor:'<?= $chartTextcolor?>'
                
          }
        },
        scales: {
            yAxes: [{
              scaleLabel: {
                                display: true,
                                labelString: '<?= DateTime::createFromFormat('!m', $s['month'])->format('F') ?> 20<?= $s['year'] ?>',
                                fontColor:'<?= $chartTextcolor?>',
                                fontSize:14
                            },
                ticks: {
                  fontColor:'<?= $chartTextcolor?>',
                    fontSize: 10 // set the font size of the y-axis labels to 16 pixels
                }
            }]
            //xAxes: [{ ticks: {fontSize: 20 // set the font size of the x-axis labels to 16 pixels}]
        },
        tooltips: {
          
            titleFontSize: 10, // set the font size of the tooltip title to 16 pixels
            bodyFontSize: 10 // set the font size of the tooltip body to 16 pixels
          
        },
        plugins: {
            datalabels: {
              
                fontSize: 10 // set the font size of the data labels to 16 pixels
            }
        },
        
        fontSize: 10 // set the font size of the chart title and all other text to 16 pixels

  }
});
<? endforeach;?>
   </script>

   