
    <style>
    
        /* Header Styling */
        header {
            background:  <?= $tabsCategoriesMenuBackground?>;
            padding: 20px;
            color: <?= $tabsCategoriesMenuColor?>;
            text-align: center;
            font-size: 24px;
            text-transform: uppercase;
        }

        /* TV Screen Container */
        #tv-screen {
            position: relative;
            width: <?= $tvScreenWidth ?>!important; /* add new width; */
            margin: 20px auto;
            border: 10px solid #000;
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.7);
            background-color: #333;
            overflow: hidden;
            border-radius: 15px; /* Rounded corners for a TV frame feel */
        }

        /* Frame for the Video */
        #embed-container {
            position: relative;
            width: 100%;
            height: 500px;
            overflow: hidden;
        }

        /* Channel Logo (Watermark) */
        #channel-logo {
            position: absolute;
            top: 10px;
            right: 10px;
            width: 100px;
            opacity: 0.8;
        }

    
         /* Live Indicator */
         #live-indicator {
            position: absolute;
            top: 10px;
            left: 10px;
            background-color: red;
            color: white;
            padding: 5px 10px;
            font-weight: bold;
            font-size: 14px;
            text-transform: uppercase;
            animation: pulse 2s infinite; /* Live pulse effect */
        }

        @keyframes pulse {
            0% { box-shadow: 0 0 5px red; }
            50% { box-shadow: 0 0 15px red; }
            100% { box-shadow: 0 0 5px  <?= $tabsCategoriesMenuBackground?>; }
        }

        /* TV Buttons */


/* Channel Buttons Style */
#channel-buttons {
    position: absolute; /* Position buttons absolutely */
    bottom: 70px; /* Adjust vertical position */
    left: 50%; /* Center horizontally */
    transform: translateX(-50%); /* Adjust for centering */
    padding: 10px; /* Add padding for better spacing */
    background-color: rgba(68, 68, 68, 0.8); /* Semi-transparent background */
    border-radius: 10px; /* Rounded corners */
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5); /* Slight shadow for depth */
    z-index: 10; /* Ensure buttons are above other content */
    text-align: center; /* Center button text */
}

/* Mobile Styles */
@media (max-width: 768px) { /* Adjust the max-width as needed */
    #channel-buttons {
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    padding: 10px;
    background-color: rgba(68, 68, 68, 0.8);
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    z-index: 10;
    text-align: center;
    bottom: 0px;
    width: max-content;
    }
}


/*
#channel-buttons {

    left: 50%;
    transform: translateX(-50%);
    padding: 10px;
    background-color: rgba(68, 68, 68, 0.8);
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    z-index: 10;
    text-align: center;
    width: max-content;
}

*/







/* Button Style */
#channel-buttons button {
    background-color: transparent; /* Green background */
    color: white; /* White text */
    border: none; /* No border */
    border-radius: 5px; /* Rounded corners for buttons */
    padding: 10px 15px; /* Padding for buttons */
    margin: 5px; /* Space between buttons */
    cursor: pointer; /* Pointer cursor on hover */
    transition: background-color 0.3s; /* Smooth background change */
}

/* Button Hover Effect */
#channel-buttons button:hover {
    background-color: <?= $tabsCategoriesMenuBackground?>; /* Darker green on hover */
}

        button {
            background-color:  <?= $tabsCategoriesMenuBackground?>;
            color: <?= $tabsCategoriesMenuColor?>;
            border: 2px solid #888;
            padding: 15px 30px;
            margin: 5px;
            cursor: pointer;
            font-size: 16px;
            border-radius: 50px; /* Round buttons for a TV remote feel */
            transition: background-color 0.3s;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
        }

        button:hover {
            background-color: #555;
            box-shadow: 0 4px 12px rgba(0, 0, 0, 0.4);
        }

       

        #news-ticker span {
            display: inline-block;
            padding-left: 100%;
            animation: ticker 20s linear infinite;
        }

        @keyframes ticker {
            0% { transform: translateX(100%); }
            100% { transform: translateX(-100%); }
        }

        /* Model Info */
        .model-info {
            margin-top: 20px;
            font-size: 18px;
            color:  <?= $tabsCategoriesMenuColor?>;
            text-align: center;
        }

        /* Program Schedule */
        .program-schedule {
            background: #222;
            padding: 10px;
            margin: 20px auto;
            border-radius: 5px;
            max-width: 600px;
        }

        .program-schedule h2 {
            margin: 0;
            color: #ff4081;
        }

     
        /* TV Static Effect */
        .static-overlay {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: url('/share/tv/static.gif');
            opacity: 0;
            pointer-events: none;
            transition: opacity 0.3s;
        }

        .static-visible {
            opacity: 1;
        }

        /* Offline message */
        .offline-message {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            font-size: 24px;
            color: #fff;
            background-color: rgba(0, 0, 0, 0.7);
            padding: 10px;
        }
        .bisp{
          right: 60px;
    top: 50px;
        }
         .table-container {
        overflow-x: auto; /* Allow horizontal scrolling on small screens */
        padding: 10px; /* Add some padding */
        border: 1px solid #ddd; /* Light border for the table */
        border-radius: 5px; /* Rounded corners */
    }

    .responsive-table {
        width: 100%; /* Full width */
        border-collapse: collapse; /* Merge borders */
        margin: 0; /* Remove margin */
    }

    .responsive-table div {
        display: flex; /* Use flexbox for layout */
        justify-content: space-between; /* Space out the items */
        padding: 8px; /* Padding for each row */
        border-bottom: 1px solid #ddd; /* Bottom border */
    }

    .responsive-table div:last-child {
        border-bottom: none; /* Remove border from the last row */
    }

    .responsive-table th {
        font-weight: bold; /* Bold text for headers */
    }

    .image-container {
        display: flex; /* Flexbox for image layout */
        flex-wrap: wrap; /* Wrap images if necessary */
    }

    .image-container img {
        margin: 5px; /* Margin between images */
        width: 100px; /* Fixed width for images */
        height: auto; /* Maintain aspect ratio */
        border-radius: 5px; /* Optional rounded corners for images */
        border: 1px solid #ddd; /* Light border for images */
    }

    /* Mobile responsiveness */
    @media (max-width: 600px) {
        .responsive-table div {
            flex-direction: column; /* Stack items on smaller screens */
        }
    }



 

    .image-container {
        display: flex; /* Flexbox for images */
        flex-wrap: wrap; /* Wrap images */
        margin-top: 10px; /* Spacing above images */
    }

    .image-container img {
        margin: 5px; /* Margin between images */
        width: 100px; /* Fixed width for images */
        height: auto; /* Maintain aspect ratio */
        border-radius: 5px; /* Optional rounded corners for images */
        border: 1px solid #ddd; /* Light border for images */
    }




    .modal {
        display: none; 
        position: fixed; 
        z-index: 1000; 
        left: 0;
        top: 40px;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.9);
    }

    .modal-content {
        margin: auto;
        display: block;
        width: 80%;
        max-width: 700px;
    }

    .modal img {
        width: 100%;
        top: 100px;
        border-radius: 17px;
        border: 3px solid <?= $tabsCategoriesMenuBackground?>;
        height: auto;
    }

    .modal-close {
        position: absolute;
        top: 15px;
        right: 35px;
        color: white;
        font-size: 40px;
        font-weight: bold;
        cursor: pointer;
    }

    .modal-prev, .modal-next {
        cursor: pointer;
        position: absolute;
        top: 50%;
        width: auto;
        padding: 16px;
        color: white;
        font-weight: bold;
        font-size: 20px;
        user-select: none;
        transform: translateY(-50%);
    }

    .modal-prev {
        left: 10px;
    }

    .modal-next {
        right: 10px;
    }
    .modal-prev:hover {
        color: white;
    }

    .modal-next:hover  {
        color: white;
    }






    </style>



<?php
//if (!empty($modelsScrollingList) && !empty($url['name']) && $url['name'] == 'home') :
    // Define the path to the emojis directory
    $emojiDir = $_SERVER['DOCUMENT_ROOT'] . $modelsScrollingLemoticons;

    // Define the file extensions to look for
    $fileExtensions = ['png', 'svg', 'jpg', 'jpeg', 'gif', 'webp'];

    // Initialize an array to hold the matching files
    $emojiFiles = [];

    // Fetch all image files with the specified extensions
    foreach ($fileExtensions as $ext) {
        $emojiFiles = array_merge($emojiFiles, glob($emojiDir . "*.$ext"));
    }

    // Shuffle the array to get a random order
    shuffle($emojiFiles);
?>

<center>
<h2 class="text-description">Live Adult Webcam Shows – StripChat & Chaturbate Modelss</h2>
<?php if (isset($tvDescriptionOptionlal) && !empty($tvDescriptionOptionlal)): ?>
   <h3 class="text-description"><small><?= $tvDescriptionOptionlal ?></small></h3>
<?php endif; ?>
</center>
 
<!-- TV Screen Container -->

<div id="tv-screen">
  
<div class="rwd-media">
        <iframe id="embed-frame" src="" allowfullscreen></iframe>
        <div class="static-overlay" id="static-overlay"></div> <!-- Static overlay for transitions -->
       <!--  <img id="channel-logo" src="https://via.placeholder.com/100x50?text=Logo" alt="Channel Logo">-->
       <? if (!empty($headerLogoUrl)): ?>
<img id="channel-logo"  itemprop="logo" id="logo-icon" src="<?= $headerLogoUrl ?>" alt="<?= $sitename?> webcam toy" loading="lazy" class="setlogo" 

<? if (!empty($headerLogoHeight)): ?>height="<?= $headerLogoHeight ?>"<? endif; ?> 
<? if (!empty($headerLogoHeight)): ?>width="<?= $headerLogoWidth ?> <? endif; ?>"/>

<? elseif (!empty($headerTemplate)): ?>
<? include($headerTemplate)  ?>
<? endif; ?>
<? if (!empty($logosubtext)): ?>
<p class="sublogotext bisp channel-logo"><?=$logosubtext?></p>
<? endif; ?>
<div id="live-indicator">Live</div>
        
    </div>
    <ul class="custom-list" id="scrollingList" >
                     <?php foreach ($models as $m) : ?>
                     <?php if (!empty($m['subject'])) : 
                        $subjectWords = preg_replace('/\s+/', ' ', $m['subject']);
                        $subjectWords = explode(' ', $subjectWords);
                        ?>
                     <li class="ListSubject">
                        <strong>
                        <a href="<?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : ''), $m)); ?>" class="text-description">
                        <?= ucfirst($m['nickname']) ?>
                        </a>
                        </strong>
                        <?php foreach ($subjectWords as $word) : ?>
                        <?php if (strpos($word, '#') !== false) : ?>
                        <?php
                           // Remove '#' symbol from the word
                           $tag = str_replace('#', '', $word);
                           
                           if (!empty($modelsScrollingLink)) {
                               $link = str_replace('tag=modelsScrollTag', 'tag=' . $tag, $modelsScrollingLink);
                               $targetAttribute = 'target="_blank"';
                           } else {
                               $link = $searchUrl . 'kw=' . $tag;
                               $targetAttribute = ''; // No target attribute for default links
                           }
                           ?>
                        <a href="<?= $link ?>" class="text-description linksTags" <?= $targetAttribute ?>>#<?= $tag ?></a>
                        <?php else : ?>
                        <?= $word ?>
                        <?php endif; ?>
                        <?php endforeach; ?>
                        <?php if (!empty($emojiFiles)) : ?>
                        <?php 
                           $randomEmoji = array_shift($emojiFiles); 
                           $emojiName = pathinfo($randomEmoji, PATHINFO_FILENAME);
                           $altText = ucfirst($m['nickname']) . "'s Cams room topic live on " . strtoupper($m['site']) . " - " . $emojiName;
                           ?>
                        <img src="<?= $modelsScrollingLemoticons . basename($randomEmoji) ?>" alt="<?= htmlspecialchars($altText, ENT_QUOTES, 'UTF-8') ?>" class="emoji-image">
                        <?php endif; ?>
                     </li>
                     <?php endif; ?>
                     <?php endforeach; ?>
                  </ul>



                  <div id="channel-buttons">
                  <button onclick="previousModel()" data-label="Previous Performer" aria-label="Previous Model" title="Go back to the previous model"><<</button>
    <button onclick="loadChannel('chaturbate')" data-label="Chaturbate Channel" aria-label="Chaturbate Channel" title="Watch Chaturbate live shows">Chaturbate</button>
    <button onclick="loadChannel('stripchat')" data-label="StripChat Channel" aria-label="StripChat Channel" title="Watch StripChat live shows">StripChat</button>
    <button onclick="nextModel()" data-label="Next Performer" aria-label="Next Model" title="Load the next model">>></button>

</div>

</div>
    </div>

<!-- Modal structure -->
<div id="imageModal" class="modal" aria-labelledby="imageModalLabel">
    <span class="modal-close" id="modalClose" aria-label="Close modal">&times;</span>
    <img class="modal-content" id="modalImage" alt="" aria-describedby="imageModalLabel">
    <a class="modal-prev" id="prevImage" aria-label="Previous image">&#10094;</a>
    <a class="modal-next" id="nextImage" aria-label="Next image">&#10095;</a>
    <p id="imageModalLabel" class="sr-only">Viewing model image</p> <!-- Label for screen readers -->
</div>


<div class="model-info" id="model-info"></div>



<script>


    const models = [
        <?php
        // Function to check if the image exists
        function imageExists($url) {
            return file_exists($_SERVER['DOCUMENT_ROOT'] . $url); // Adjust the path as needed
        }

        foreach ($models as $model) {
            $nickname = isset($model['nickname']) ? addslashes($model['nickname']) : ''; // Ensure nickname is always set
            $site = isset($model['site']) ? strtolower($model['site']) : 'unknown'; // Default to 'unknown' if site is not set

            // Safely handle optional fields
            $age = isset($model['age']) && $model['age'] !== '' ? $model['age'] : 'null';
            $gender = isset($model['gender']) && $model['gender'] !== '' ? "'".addslashes($model['gender'])."'" : 'null';
            $subject = isset($model['subject']) && $model['subject'] !== '' ? "'".addslashes($model['subject'])."'" : 'null';
            $tags = isset($model['tags']) && trim($model['tags']) !== '' ? json_encode(explode(',', trim($model['tags'], ','))) : '[]';

            // Handle images based on imagePath, but only include available images
            $imagePath = isset($model['imagePath']) ? $model['imagePath'] : ''; // Ensure imagePath is set
            $images = [];

            if ($imagePath) {
                // Check for images from 1.webp to 30.webp
                for ($i = 1; $i <= 30; $i++) {
                    $imageUrl = $imagePath . $i . '.webp';

                    // Check if the image exists
                    if (imageExists($imageUrl)) {
                        $images[] = $imageUrl; // Add the image path only if it exists
                    } else {
                        break; // Stop checking further if the image is not found
                    }
                }
            }

            // Output the model object as part of the JavaScript array
            echo "{ 
                nickname: '$nickname', 
                site: '$site', 
                age: $age, 
                gender: $gender, 
                subject: $subject, 
                tags: $tags, 
                images: " . json_encode($images) . " 
            },";
        }
        ?>
    ];






    let currentModelIndex = 0; // Track the index of the currently displayed model
    let currentChannel = 'chaturbate'; // Set default channel

    //const switchSound = new Audio('path_to_switch_sound.mp3'); // Update with actual path

    function loadChannel(site) {
       // switchSound.play();
        currentChannel = site;
        loadModel(currentModelIndex);
    }




    function loadModel(index) {
    const model = models[index];
    if (model && model.site === currentChannel) {
        const embedUrl = currentChannel === 'chaturbate'
    ? `https://cbxyz.com/in/?tour=9oGW&campaign=<?=$_AVOS['config']['webcams']['Chaturbate']['affiliate'];?>&track=Live-Show-<?=$sitename ?>-Tv&room=${model.nickname}&disable_sound=1&mobileRedirect=auto&embed_video_only=1`
    + `&scrolling='no'`  // Add scrolling=no to the URL here
    : `https://creative.xlviiirdr.com/widgets/Player?sourceId=Live-Show-<?=$sitename ?>-Tv&autoplay=all&thumbFit=contain&modelName=${model.nickname}&quality=720p&userId=<?=$_AVOS['config']['webcams']['StripChat']['affiliate'];?>`;

        document.getElementById('static-overlay').classList.add('static-visible');
        setTimeout(() => {
            document.getElementById('embed-frame').src = embedUrl;

            const modelInfoTable = `
            <?php if (isset($tvDisplayModelDetails) && !empty($tvDisplayModelDetails)): ?>
            
            <div class="col-md-3 profile-sidebar">
                            
                            <div class="profile profile-left">
                    <div class="profile-left-container-3 profile-stats">
                      <div class="profile-left-container-3-2">

                      <span class="full-width share-rank visible-md-inline visible-lg-inline text-description">
        ${model.subject !== null && model.subject !== '' ? `
            <span class="visible-md-inline visible-lg-inline">${model.subject}</span>
        ` : ''}
    </span>



<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp">Name: ${model.nickname}</span>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp">Age: ${model.age !== null ? model.age : 'N/A'}</span>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp">Gender: ${model.gender !== null ? model.gender : 'N/A'}</span>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp">Room Topic: ${model.subject !== null && model.subject !== '' ? model.subject : 'N/A'}</span>
${model.tags.length > 0 
            ? model.tags.map(tag => `
                <span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp"> <a href="<?= $searchUrl ?>kw=${tag}" style="text-decoration: none; color: inherit;">
                #${tag.toUpperCase()}
            </a></span>
              `).join('') 
            : '<span>N/A</span>'}
</div>
</div>
</div>
</div>
<? endif;?>
<?php if (isset($tvDisplayImages) && !empty($tvDisplayImages)): ?>
<div class="image-container">
                    ${model.images.length > 0
                        ? model.images.map((imgUrl, idx) => `<img src="${imgUrl}" alt="${model.nickname}22222s" width="100" onclick="showImageModal(${idx})">`).join('') 
                        : 'No images available'}

                </div>
                <? endif;?>
            `;

            document.getElementById('model-info').innerHTML = `
                <h3>Now Streaming: ${model.nickname} on ${currentChannel.charAt(0).toUpperCase() + currentChannel.slice(1)}</h3>
                ${modelInfoTable}
            `;

            document.getElementById('static-overlay').classList.remove('static-visible');
        }, 700);
    } else {
        nextModel(); // If model is invalid, move to next
    }
}






    function nextModel() {
        currentModelIndex++;
        if (currentModelIndex >= models.length) {
            currentModelIndex = 0; 
        }
        console.log(`Next model index: ${currentModelIndex}`);
        loadModel(currentModelIndex);
    }

    function previousModel() {
        currentModelIndex--;
        if (currentModelIndex < 0) {
            currentModelIndex = models.length - 1;
        }
        console.log(`Previous model index: ${currentModelIndex}`);
        loadPreviousModel(currentModelIndex);
    }

    function loadPreviousModel(index) {
        const model = models[index];
        if (model && model.site === currentChannel) {
            const embedUrl = currentChannel === 'chaturbate'
                ? `https://chaturbate.com/in/?tour=9oGW&campaign=<?=$_AVOS['config']['webcams']['Chaturbate']['affiliate'];?>&track=Live-Show-<?=$sitename ?>-Tv&room=${model.nickname}&disable_sound=1&mobileRedirect=auto&embed_video_only=1`
                : `https://creative.xlviiirdr.com/widgets/Player?sourceId=Live-Show-<?=$sitename ?>-Tv&autoplay=all&thumbFit=contain&modelName=${model.nickname}&quality=720p&userId=<?=$_AVOS['config']['webcams']['StripChat']['affiliate'];?>`;

            document.getElementById('static-overlay').classList.add('static-visible');
            setTimeout(() => {
                document.getElementById('embed-frame').src = embedUrl;
                document.getElementById('model-info').innerText = `Now showing: ${model.nickname} on ${currentChannel.charAt(0).toUpperCase() + currentChannel.slice(1)}`;
                document.getElementById('static-overlay').classList.remove('static-visible');
            }, 700);
        } else {
            previousModel(); // Keep going backward to find a valid model
        }
    }

    window.onload = function() {
        loadChannel('chaturbate');
    };

// Show modal and display selected image
function showImageModal(imageIndex) {
    currentImageIndex = imageIndex;
    const model = models[currentModelIndex];
    if (model && model.images.length > 0) {
        // Set default age to 32 if model.age is null or empty
        const age = model.age !== null && model.age !== '' ? model.age : 32;

        document.getElementById('modalImage').src = model.images[imageIndex];
        document.getElementById('modalImage').alt = `${model.nickname.toUpperCase()}, at just ${age} years old, is already making waves on ${model.site.toUpperCase()}. This ${model.gender.toUpperCase()} model brings a fresh and exciting vibe to her broadcasts on the platform, quickly building a community of dedicated followers with her engaging personality and captivating energy.`;

        document.getElementById('imageModal').style.display = 'block';
    }
}

    // Close modal
    document.getElementById('modalClose').onclick = function () {
        document.getElementById('imageModal').style.display = 'none';
    };

    // Navigate to next image in the modal
    document.getElementById('nextImage').onclick = function () {
        const model = models[currentModelIndex];
        if (model && model.images.length > 0) {
            currentImageIndex = (currentImageIndex + 1) % model.images.length;
            document.getElementById('modalImage').src = model.images[currentImageIndex];
        }
    };

    // Navigate to previous image in the modal
    document.getElementById('prevImage').onclick = function () {
        const model = models[currentModelIndex];
        if (model && model.images.length > 0) {
            currentImageIndex = (currentImageIndex - 1 + model.images.length) % model.images.length;
            document.getElementById('modalImage').src = model.images[currentImageIndex];
        }
    };

    // Close modal if clicking outside the image
    window.onclick = function (event) {
        const modal = document.getElementById('imageModal');
        if (event.target === modal) {
            modal.style.display = 'none';
        }
    };

  


// scroll text
    var scrollingList = document.getElementById('scrollingList');
      function scrollList() {
     scrollingList.scrollLeft += 1;
                 }
    setInterval(scrollList, 50);
</script>
