<style>
  /* Custom styles for the filter form */
  #customSelectors {
    display: grid;
    background-color: <? $profileDetailsColor;?>;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    margin: 0 auto;
    width: 60%;
    align-items: center;
  }
  .search-bar .btn {
    color: midnightblue;
}
.enter-hint {
  display: block;
  margin-top: 5px;
  font-size: 12px;
  color: #777; /* You can adjust this color to fit your theme */
}

  .wer {
    display: inline-table;
    margin: 10px; /* Space between items */
    min-width: 200px; /* Minimum width for each filter */
  }

  #customSelectors div {
    margin-bottom: 15px;
  }

  #customSelectors label {
    font-weight: bold;
    display: block;
    margin-bottom: 5px;
  }

  #customSelectors select {
    width: 100%;
    padding: 10px;
    border-radius: 4px;
    border: 1px solid #ccc;
    font-size: 16px;
    border-radius: 14px;
  }

  #customSelectors button {
  display: block;
  margin: 0 auto;
  }

  #customSelectors button:hover {
    background-color: #0056b3;
  }

  /* Responsive styles */
  @media (max-width: 768px) {
    #customSelectors {
      padding: 15px;
    }

    #customSelectors select,
    #customSelectors button {
      font-size: 14px;
    }
  }

  /* Responsive styles */
  @media (max-width: 768px) {
    #customSelectors {
      flex-direction: column; /* Stack items vertically on small screens */
      padding: 15px;
    }

    .wer {
      flex-basis: 100%; /* Full width for each item */
      margin: 5px 0; /* Reduce margin */
    }

    #customSelectors select,
    #customSelectors button {
      font-size: 14px;
    }
  }
</style>

<script>
var timer;

$(function() {
    $('#kw').bind('keydown blur change', function(e) {
        clearTimeout(timer);
        timer = setTimeout(function() {
            if ($('#kw').val().length > 3) {
                $('#customSelectors form').submit();
            }
        }, 500);
    });
});
</script>

<div class="row">
  <div class="col-xs-12">
    <div style="margin-top:2%;margin-bottom: 2%;" class="text-center">
      <div class="h3" style="font-weight:bold;">Search - XXX - Live Cams </div>
      <div class="search-bar search-bar-page">
        <form class="" action="" accept-charset="UTF-8" method="GET">
          <input type="text" name="kw" id="search_page_q" placeholder="" class="inputsearch" autocomplete="off">
          <button type="submit" class="btn btn-blank">Find Your Show
            <i class="fa fa-search" aria-hidden="true"></i>
          </button>
          <small class="enter-hint">Press Enter and Dive In!</small>
        </form>
        
      </div>
    </div>
  </div>
</div>



<div id="customSelectors" valign="top">
  <form method="GET" action="">
    <div class="wer">
      <!-- Gender Filter -->
      <label for="gender">Gender:</label>
      <select name="gender" id="gender" class="inputsearch">
        <option value="">All</option>
        <option value="f">Girls</option>
        <option value="m">Guys</option>
        <option value="t">Trans</option>
        <option value="c">Couples</option>
      </select>
    </div>

    <div class="wer">
      <!-- Status Filter -->
      <label for="status">Status:</label>
      <select name="status" id="status" class="inputsearch">
        <option value="">All</option>
        <option value="f">Public</option>
        <option value="p">Private</option>
        <option value="a">Away</option>
        <option value="g">Hidden</option>
      </select>
    </div>

    <div class="wer">
      <!-- Age Filter -->
      <label for="age">Age:</label>
      <select name="age" id="age" class="inputsearch">
        <option value="">All</option>
        <option value="under_25">Under 25</option>
        <option value="25_to_35">25 to 35</option>
        <option value="over_36">Over 36</option>
      </select>
    </div>

    <div class="wer">
      <!-- Site Filter -->
      <label for="site">Site:</label>
      <select name="site" id="site" class="inputsearch">
        <option value="">All</option>
        <option value="cb">Chaturbate</option>
        <option value="sc">StripChat</option>
        <option value="bc">BongaCams</option>
        <option value="cs">CamSoda</option>
        <option value="lj">LiveJasmin</option>
        <option value="sr">Streamray</option>
        <option value="ct">Cherry.Tv</option>
        <option value="ff">Flirt4Free</option>
        <option value="c4">Cam4</option>
        <option value="xl">xLove</option>
        <option value="xc">xCams</option>
        <option value="sm">Streamate</option>
      </select>
    </div>

    <button type="submit" class="btn btn-theme pagestyle">Apply Filters</button>
  </form>
  </div>
  <? include 'webcamsIndex.php' ?>

<div class="tag-cloud">
  <? $float = 1; foreach ($searchCloud as $kw => $data): ?>
    <a style="font-size: <?= rand(15, 35);?>px;" href="<?= $searchUrl ?>?kw=<?= $kw ?>" data-weight="<?=$data['weight']?>"><?= $kw ?></a>
  <? $float = !$float; endforeach; ?>
</div>

